------------------------------------------------------------------------
r702 | nevcairiel | 2008-10-09 17:58:04 +0000 (Thu, 09 Oct 2008) | 1 line
Changed paths:
   A /tags/Beta-r701 (from /trunk:701)

Tag as Beta-r701
------------------------------------------------------------------------
r700 | nevcairiel | 2008-10-09 17:53:54 +0000 (Thu, 09 Oct 2008) | 1 line
Changed paths:
   A /trunk (from /branches/RC1:699)

Proper layout, take2
------------------------------------------------------------------------
r696 | nargiddley | 2008-10-09 10:23:56 +0000 (Thu, 09 Oct 2008) | 1 line
Changed paths:
   M /branches/RC1/AceGUI-3.0/widgets/AceGUIWidget-Keybinding.lua

AceGUI: Fix Keybinding widget text sometimes carrying over through a recycle.
------------------------------------------------------------------------
r694 | nargiddley | 2008-10-09 09:03:51 +0000 (Thu, 09 Oct 2008) | 1 line
Changed paths:
   M /branches/RC1/AceGUI-3.0/widgets/AceGUIWidget-Keybinding.lua

AceGUI: Keybinding widget will show "Not Bound" instead of being blank when no key is set.
------------------------------------------------------------------------
r693 | nargiddley | 2008-10-09 07:42:11 +0000 (Thu, 09 Oct 2008) | 1 line
Changed paths:
   M /branches/RC1/AceGUI-3.0/widgets/AceGUIWidget-Keybinding.lua

AceGUI: Keybinding widget's label doesn't take up space if it is blank.
------------------------------------------------------------------------
r690 | nevcairiel | 2008-09-30 16:18:06 +0000 (Tue, 30 Sep 2008) | 1 line
Changed paths:
   M /branches/RC1
   A /branches/RC1/.pkgmeta
   M /branches/RC1/AceAddon-3.0
   M /branches/RC1/AceConfig-3.0
   M /branches/RC1/AceConfig-3.0/AceConfigCmd-3.0
   M /branches/RC1/AceConfig-3.0/AceConfigDialog-3.0
   M /branches/RC1/AceConfig-3.0/AceConfigDropdown-3.0
   M /branches/RC1/AceConfig-3.0/AceConfigRegistry-3.0
   M /branches/RC1/AceEvent-3.0
   M /branches/RC1/AceLocale-3.0
   M /branches/RC1/AceSerializer-3.0
   M /branches/RC1/AceTab-3.0
   M /branches/RC1/docs
   M /branches/RC1/tests

Added .pkgmeta and removed log template
------------------------------------------------------------------------
r689 | nevcairiel | 2008-09-26 20:55:53 +0000 (Fri, 26 Sep 2008) | 1 line
Changed paths:
   A /branches/RC1/AceTab-3.0
   A /branches/RC1/AceTab-3.0/AceConfigTab-3.0.lua
   A /branches/RC1/AceTab-3.0/AceTab-3.0.lua
   A /branches/RC1/AceTab-3.0/AceTab-3.0.xml
   A /trunk/AceTab-3.0
   A /trunk/AceTab-3.0/AceConfigTab-3.0.lua
   A /trunk/AceTab-3.0/AceTab-3.0.lua
   A /trunk/AceTab-3.0/AceTab-3.0.xml

Re-add AceTab-3.0, its history was lost due to weird svn behaviour. Does this thing even work?
------------------------------------------------------------------------
r688 | nevcairiel | 2008-09-26 20:39:43 +0000 (Fri, 26 Sep 2008) | 1 line
Changed paths:
   D /branches/Ace3
   A /branches/RC1 (from /branches/Ace3/RC1:687)
   D /tags/Ace3
   A /tags/Alpha (from /tags/Ace3/Alpha:687)
   A /tags/Beta (from /tags/Ace3/Beta:687)
   D /trunk/Ace3
   A /trunk/Ace3.lua (from /trunk/Ace3/Ace3.lua:687)
   A /trunk/Ace3.toc (from /trunk/Ace3/Ace3.toc:687)
   A /trunk/AceAddon-3.0 (from /trunk/Ace3/AceAddon-3.0:687)
   A /trunk/AceBucket-3.0 (from /trunk/Ace3/AceBucket-3.0:687)
   A /trunk/AceComm-3.0 (from /trunk/Ace3/AceComm-3.0:687)
   A /trunk/AceConfig-3.0 (from /trunk/Ace3/AceConfig-3.0:687)
   A /trunk/AceConsole-3.0 (from /trunk/Ace3/AceConsole-3.0:687)
   A /trunk/AceDB-3.0 (from /trunk/Ace3/AceDB-3.0:687)
   A /trunk/AceDBOptions-3.0 (from /trunk/Ace3/AceDBOptions-3.0:687)
   A /trunk/AceEvent-3.0 (from /trunk/Ace3/AceEvent-3.0:687)
   A /trunk/AceGUI-3.0 (from /trunk/Ace3/AceGUI-3.0:687)
   A /trunk/AceHook-3.0 (from /trunk/Ace3/AceHook-3.0:687)
   A /trunk/AceLocale-3.0 (from /trunk/Ace3/AceLocale-3.0:687)
   A /trunk/AceSerializer-3.0 (from /trunk/Ace3/AceSerializer-3.0:687)
   A /trunk/AceTimer-3.0 (from /trunk/Ace3/AceTimer-3.0:687)
   A /trunk/CallbackHandler-1.0 (from /trunk/Ace3/CallbackHandler-1.0:687)
   A /trunk/LICENSE.txt (from /trunk/Ace3/LICENSE.txt:687)
   A /trunk/LibStub (from /trunk/Ace3/LibStub:687)
   A /trunk/benchs (from /trunk/Ace3/benchs:687)
   A /trunk/changelog.txt (from /trunk/Ace3/changelog.txt:687)
   A /trunk/docs (from /trunk/Ace3/docs:687)
   A /trunk/split.bat (from /trunk/Ace3/split.bat:687)
   A /trunk/tests (from /trunk/Ace3/tests:687)
   A /trunk/unsplit.bat (from /trunk/Ace3/unsplit.bat:687)

Move everything around for a proper layout
------------------------------------------------------------------------
r686 | nevcairiel | 2008-09-18 21:22:35 +0000 (Thu, 18 Sep 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3 - AceGUI-3.0 TreeGroup Widget - fix renamed template used in the tree view
------------------------------------------------------------------------
r684 | nevcairiel | 2008-09-06 13:40:28 +0000 (Sat, 06 Sep 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/changelog.txt

Ace3 - update changelog
------------------------------------------------------------------------
r682 | nevcairiel | 2008-09-06 13:31:56 +0000 (Sat, 06 Sep 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TabGroup.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3 - merge WotLK changes to Tab/TreeGroup widgets into main development branch with Interface Version check
------------------------------------------------------------------------
r681 | nargiddley | 2008-09-06 13:01:59 +0000 (Sat, 06 Sep 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI: Fix upgrading of widgets that still define :Release instead of :OnRelease so that the new :Release function will still always work
------------------------------------------------------------------------
r680 | nargiddley | 2008-09-06 12:54:53 +0000 (Sat, 06 Sep 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog-3.0: Cleanup handling of widget userdata, use the new Helper function instead of accessing the table directly.
 - Clear the tables set for group widgets without accessing widget members directly
------------------------------------------------------------------------
r679 | nargiddley | 2008-09-06 12:51:18 +0000 (Sat, 06 Sep 2008) | 3 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3 - AceGUI: Dropdown Widget: Fix OnClose being called multiple times as the widget is released, causing AceConfigDialog to error with multiselect dropdowns
 - :SetList(list) accepts nil to clear the list
TreeGroup Widget: SetTree(tree) accepts nil to clear the tree
------------------------------------------------------------------------
r678 | nargiddley | 2008-09-06 12:45:12 +0000 (Sat, 06 Sep 2008) | 5 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI: Add new methods to the widget base table - ACE-205
Positioning function that ace on widget.frame - SetPoint(...) ClearAllPoints() GetNumPoints() GetPoint(...)
Helper functions for accessing widget.userdata - GetUserDataTable() SetUserData(key, value) GetUserData(key)
Functions to replace setting .width or .height to "fill" - IsFullHeight() SetFullHeight(isFull) IsFullWidth() SetFullWidth(isFull), the old way will continue working but these functions are now preferred
Release() - same effect as calling AceGUI:Release(widget) ACE-160
------------------------------------------------------------------------
r677 | nargiddley | 2008-09-01 07:12:45 +0000 (Mon, 01 Sep 2008) | 3 lines
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.lua

Ace3
- AceGUI: call widget:OnRelease before clearing events and userdata to allow OnMouseLeave events to fire as the frame is released
- AceConfigDialog: :Close and :CloseAll are now safe to call from within callbacks.
------------------------------------------------------------------------
r675 | nevcairiel | 2008-08-12 09:00:03 +0000 (Tue, 12 Aug 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: the confirm callback will now receive the new value that is being set (same signature as the validate callback)
------------------------------------------------------------------------
r668 | funkydude | 2008-07-16 10:08:17 +0000 (Wed, 16 Jul 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceDBOptions-3.0/AceDBOptions-3.0.lua

Ace3 - AceDBOptions-3.0: Add ruRU by StingerSoft
------------------------------------------------------------------------
r667 | nevcairiel | 2008-06-11 14:34:58 +0000 (Wed, 11 Jun 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceDB-3.0/AceDB-3.0.lua
   M /branches/Ace3/RC1/tests/AceDB-3.0-defaults.lua

Ace3 - AceDB-3.0
- fix a bug in default-removal code that caused missing data in rare cases
------------------------------------------------------------------------
r665 | nevcairiel | 2008-06-09 09:25:14 +0000 (Mon, 09 Jun 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/changelog.txt

Ace3 - update changelog.txt
------------------------------------------------------------------------
r664 | nargiddley | 2008-06-09 06:52:04 +0000 (Mon, 09 Jun 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TabGroup.lua

Ace3 - AceGUI: TabGroup: Fix logic for tab layout.
------------------------------------------------------------------------
r663 | nevcairiel | 2008-06-06 13:49:40 +0000 (Fri, 06 Jun 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua

Ace3 - AceGUI-3.0: fix alignoffset for the dropdown widget
------------------------------------------------------------------------
r662 | nargiddley | 2008-06-06 13:43:24 +0000 (Fri, 06 Jun 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: Add appName to info table
------------------------------------------------------------------------
r661 | nargiddley | 2008-06-06 10:58:11 +0000 (Fri, 06 Jun 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: Fix error when activating a multiselect.
------------------------------------------------------------------------
r660 | nargiddley | 2008-06-06 08:08:02 +0000 (Fri, 06 Jun 2008) | 5 lines
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDownGroup.lua

Ace3 - AceGUI: Dropdown: Reset multiselect status on recycling
DropdownGroup: Make use of status consistent with TabGroup
AceConfigDialog: Add :SelectGroup(appName, ...) - Selects the group given by the path specified then refreshes open windows.
- :Open now accepts an optional path, when given will open the window with only the given group and its children visible
- :AddToBlizOptions now accepts an optional path, this will add the config page to display the specified group and its children only.
------------------------------------------------------------------------
r659 | nargiddley | 2008-06-05 10:37:04 +0000 (Thu, 05 Jun 2008) | 3 lines
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TabGroup.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3 - AceGUI: TreeGroup: Add :EnableButtonTooltips(enable) to make the default tooltips on the tree optional, enabled by default.
TabGroup: Add OnTabEnter and OnTabLeave Callbacks
AceConfigDialog: Add Custom tooltips to the TreeGroup and TabGroup, shows both name and desc for the group.
------------------------------------------------------------------------
r658 | nargiddley | 2008-06-03 11:05:38 +0000 (Tue, 03 Jun 2008) | 3 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TabGroup.lua

Ace3 - AceGUI: 
TabGroup: Rewrite tab layout to avoid single tabs left on the last row
TabGroup: Fix tabs not stretching to full width when first shown in some cases
------------------------------------------------------------------------
r657 | nargiddley | 2008-05-31 22:44:09 +0000 (Sat, 31 May 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua

Ace3 - AceConfigCmd:
- Remove unneeded references to .confirm, will no longer error when .confirm is a boolean
------------------------------------------------------------------------
r656 | nargiddley | 2008-05-31 11:47:08 +0000 (Sat, 31 May 2008) | 3 lines
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigRegistry-3.0/AceConfigRegistry-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDown-Items.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua

Ace3 :
- AceGUI: Finish Multiselect support for the Dropdown widget
- AceConfigDialog: allow multiselect to be shown as a dropdown by setting dialogControl = "Dropdown"
------------------------------------------------------------------------
r655 | nargiddley | 2008-05-25 04:47:07 +0000 (Sun, 25 May 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3 - AceGUI: TreeGroup: Workaround for :GetHeight() not returning the correct value causing the tree to not resize with the window after it had been resized itself.
------------------------------------------------------------------------
r654 | ammo | 2008-05-21 13:43:29 +0000 (Wed, 21 May 2008) | 4 lines
Changed paths:
   M /branches/Ace3/RC1/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - AceAddon-3.0: Experimental
Allow for an optional first argument to NewAddon to be a table to be used as the base for the addon.
Example: local addon = LibStub("AceAddon-3.0"):NewAddon(CreateFrame("Button", nil, UIParent), "MyAddon")
or: LibStub("AceAddon-3.0"):NewAddon({}, "Empty Useless Table Addon")
------------------------------------------------------------------------
r651 | nevcairiel | 2008-05-21 08:19:16 +0000 (Wed, 21 May 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/changelog.txt

Ace3 - update changelog
------------------------------------------------------------------------
r650 | nargiddley | 2008-05-21 07:12:54 +0000 (Wed, 21 May 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Frame.lua

Ace3 - AceGUI: ACE-190: Fix Frame widget restoring its size from status tables incorrectly.
------------------------------------------------------------------------
r649 | nevcairiel | 2008-05-20 16:21:25 +0000 (Tue, 20 May 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.xml
   A /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDown-Items.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua

Ace3 - AceGUI-3.0: 
- ACE-161, ACE-180, ACE-181: New and improved DropDown widget (originally coded by Borlox)
------------------------------------------------------------------------
r648 | nargiddley | 2008-05-19 09:16:25 +0000 (Mon, 19 May 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TabGroup.lua

Ace3 - AceGUI: TabGroup: Fix tab width when there is only 1 row of tabs

------------------------------------------------------------------------
r647 | nargiddley | 2008-05-19 09:05:23 +0000 (Mon, 19 May 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TabGroup.lua

Ace3 - AceGUI: TabGroup: Size tabs to fill the row they are in.
------------------------------------------------------------------------
r646 | nevcairiel | 2008-05-18 13:54:26 +0000 (Sun, 18 May 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDownGroup.lua

Ace3 - AceGUI-3.0
- adjust SetGroupList function to use the provided API of the DropDown control and no direct access of the data structures
------------------------------------------------------------------------
r645 | nargiddley | 2008-05-18 06:47:12 +0000 (Sun, 18 May 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TabGroup.lua

Ace3 - AceGUI: TabGroup: Remove unneeded SelectTab call in BuildTabs
------------------------------------------------------------------------
r644 | nargiddley | 2008-05-18 02:23:41 +0000 (Sun, 18 May 2008) | 3 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDownGroup.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Frame.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Label.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TabGroup.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3 - AceGUI: AceGUI will call OnWidthSet and OnHeightSet as frames resize
- Fix offsets in DropdownGroup being inverted.
- TabGroup wrapping will now not be consistent when inside different container widgets.
------------------------------------------------------------------------
r643 | nargiddley | 2008-05-17 23:15:48 +0000 (Sat, 17 May 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Frame.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TabGroup.lua

Ace3 - AceGUI: Fix for TabGroup not wrapping tabs in some situations
------------------------------------------------------------------------
r642 | nargiddley | 2008-05-16 11:41:31 +0000 (Fri, 16 May 2008) | 3 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Button.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Keybinding.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TabGroup.lua

Ace3 - AceGUI: widget counts for naming purposes survive lib upgrades
- TabGroup: Use OptionsFrameTabButtonTemplate for tabs
- TabGroup: Tabs now span multiple lines when there are too many to fit in the width of the frame
------------------------------------------------------------------------
r641 | nargiddley | 2008-05-16 09:49:31 +0000 (Fri, 16 May 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3 - AceGUI: TreeGroup: Prevent the tree from being resized wider than can fit in the frame
------------------------------------------------------------------------
r640 | nargiddley | 2008-05-16 09:09:58 +0000 (Fri, 16 May 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TabGroup.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3 - AceGUI: TreeGroup: Tree is now sizable by dragging, orig patch by yssaril
- Update TabGroup widget for Acquire -> OnAcquire change
------------------------------------------------------------------------
r639 | ammo | 2008-05-16 08:49:42 +0000 (Fri, 16 May 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - bump minor of acetimer grr
------------------------------------------------------------------------
r638 | ammo | 2008-05-16 08:44:31 +0000 (Fri, 16 May 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - ACE-173 - don't error on nil handle for CancelTimer(), just bail out early.
------------------------------------------------------------------------
r637 | nargiddley | 2008-05-15 23:06:06 +0000 (Thu, 15 May 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Slider.lua

Ace3 - AceGUI: Add a background to the slider widget's editbox
------------------------------------------------------------------------
r636 | nargiddley | 2008-05-15 12:58:53 +0000 (Thu, 15 May 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - Flow layout will now reduce widgets width to fit rather than leaving them sticking out the side of container widgets
------------------------------------------------------------------------
r635 | nargiddley | 2008-05-15 12:31:49 +0000 (Thu, 15 May 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI, fix dropdowns not opening when they still had focus
------------------------------------------------------------------------
r634 | nargiddley | 2008-05-15 12:20:48 +0000 (Thu, 15 May 2008) | 3 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-BlizOptionsGroup.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Button.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-CheckBox.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-ColorPicker.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDownGroup.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Frame.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Heading.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Icon.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-InlineGroup.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Keybinding.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Label.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-MultiLineEditBox.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-ScrollFrame.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-SimpleGroup.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Slider.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3 - AceGUI: add IsVisible and IsShown methods to the widget metatable
- Rename Release to OnRelease and Acquire to OnAcquire for widgets, custom widgets need to be updated.
- Dropdowns will no longer be left open in the background when the frame is clicked or other widgets are activated
------------------------------------------------------------------------
r633 | ammo | 2008-05-15 10:51:05 +0000 (Thu, 15 May 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Slider.lua

Ace3 - Revert slider change, needs own background texture implementation.
------------------------------------------------------------------------
r632 | ammo | 2008-05-15 10:49:14 +0000 (Thu, 15 May 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3 - ACE-164 - add tooltips to tree to show full text of childs that got clipped
------------------------------------------------------------------------
r631 | ammo | 2008-05-15 10:12:57 +0000 (Thu, 15 May 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-MultiLineEditBox.lua

Ace3 - ACE-174 make buttons in acegui locale independant

------------------------------------------------------------------------
r630 | ammo | 2008-05-15 10:00:34 +0000 (Thu, 15 May 2008) | 4 lines
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Slider.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3 - Apply several patches
ACE-172 - ignore description in cmd
ACE-184 - make numeric entry for slider more intuitive
ACE-166 - fix treegroup visual bug
------------------------------------------------------------------------
r629 | ammo | 2008-04-22 08:26:12 +0000 (Tue, 22 Apr 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/Ace3.lua
   M /branches/Ace3/RC1/AceConsole-3.0/AceConsole-3.0.lua

Ace3 - AceConsole-3.0: nolonger check for existance of slashcommands, overwrite where needed. Last one wins, this enables addonloader to X-LoadOn-Slash and override the slashcommand from addonloader slashcommand with an ace3 one.
------------------------------------------------------------------------
r628 | ammo | 2008-04-21 09:49:48 +0000 (Mon, 21 Apr 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/Ace3.lua

Ace3 - silently fail on very common chatcommands in Ace3 standalone /print and /rl mainly.
------------------------------------------------------------------------
r627 | ammo | 2008-04-21 09:21:38 +0000 (Mon, 21 Apr 2008) | 3 lines
Changed paths:
   M /branches/Ace3/RC1/AceConsole-3.0/AceConsole-3.0.lua

Ace3 - AceConsole-3.0: 
Check all slash commands when registering instead of only the AceConsole-3.0 ones.

------------------------------------------------------------------------
r625 | nevcairiel | 2008-04-13 10:09:12 +0000 (Sun, 13 Apr 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceDBOptions-3.0/AceDBOptions-3.0.lua
   M /branches/Ace3/RC1/AceHook-3.0/AceHook-3.0.lua
   M /branches/Ace3/RC1/changelog.txt

Ace3 - update changelog and fix up some minor revs
------------------------------------------------------------------------
r624 | nevcairiel | 2008-04-13 09:08:38 +0000 (Sun, 13 Apr 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0
- fix logic issue, doh!
------------------------------------------------------------------------
r623 | nevcairiel | 2008-04-13 09:06:11 +0000 (Sun, 13 Apr 2008) | 3 lines
Changed paths:
   M /branches/Ace3/RC1/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0
- namespaces can now be individually reset using :ResetProfile() on the namespace directly
- added a optional argument to :ResetProfile to not populate the reset to all namespaces (so the main profile can reset individually without reseting all namespaces too) 
------------------------------------------------------------------------
r622 | nevcairiel | 2008-04-09 08:24:02 +0000 (Wed, 09 Apr 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0
- fire the DB callbacks after the namespaces changed their profile as well
------------------------------------------------------------------------
r621 | nevcairiel | 2008-04-04 11:42:01 +0000 (Fri, 04 Apr 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceHook-3.0/AceHook-3.0.lua

Ace3 - AceHook-3.0
- ACE-162: fix unhooking of objects that were not actually hooked
------------------------------------------------------------------------
r620 | ammo | 2008-04-01 13:02:09 +0000 (Tue, 01 Apr 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceDBOptions-3.0/AceDBOptions-3.0.lua

Ace3 - AceDBOptions-3.0: shorten info text at top to prevent scrollbars.
------------------------------------------------------------------------
r618 | nevcairiel | 2008-03-28 10:35:31 +0000 (Fri, 28 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceComm-3.0/AceComm-3.0.lua

Ace3
- AceComm-3.0: turn off error messages when receiving invalid multi-part messages (its happening on login etc)
------------------------------------------------------------------------
r616 | nevcairiel | 2008-03-27 09:40:15 +0000 (Thu, 27 Mar 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/changelog.txt

Ace3 - update changelog.txt
------------------------------------------------------------------------
r615 | nargiddley | 2008-03-27 08:54:54 +0000 (Thu, 27 Mar 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: Config windows without a default size won't incorrectly get a default size from a previously open window
------------------------------------------------------------------------
r614 | nargiddley | 2008-03-27 08:47:52 +0000 (Thu, 27 Mar 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-BlizOptionsGroup.lua

Ace3 - AceGUI: Don't parent the BlizOptionsGroup widget to UIParent and Hide it by default.
------------------------------------------------------------------------
r613 | ammo | 2008-03-26 15:15:46 +0000 (Wed, 26 Mar 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceAddon-3.0/AceAddon-3.0.lua

Ace3: Bugfix AceAddon-3.0 when enabling/disabling modules from the parents OnEnable after disabling / enabling the parent addon.
------------------------------------------------------------------------
r612 | nevcairiel | 2008-03-26 09:51:36 +0000 (Wed, 26 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceDBOptions-3.0/AceDBOptions-3.0.lua

Ace3 - AceDBOptions-3.0
- add zhCN and zhTW translations by Kurax
------------------------------------------------------------------------
r611 | nevcairiel | 2008-03-26 09:50:36 +0000 (Wed, 26 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/Ace3.lua
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.xml
   D /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDown-Templates.xml
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3 - 
- 2.4 cleanups 
------------------------------------------------------------------------
r609 | nevcairiel | 2008-03-26 08:48:54 +0000 (Wed, 26 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceBucket-3.0/AceBucket-3.0.lua
   M /branches/Ace3/RC1/changelog.txt

Ace3 - AceBucket-3.0
- clear the timer reference when unregistering a bucket to prevent a error when unregistering a bucket that was never fired
------------------------------------------------------------------------
r607 | nevcairiel | 2008-03-25 08:57:08 +0000 (Tue, 25 Mar 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/Ace3.toc
   M /branches/Ace3/RC1/changelog.txt
   M /branches/Ace3/RC1/split.bat

Ace3 - update changelog and .toc
------------------------------------------------------------------------
r606 | nevcairiel | 2008-03-21 22:50:16 +0000 (Fri, 21 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceDBOptions-3.0/AceDBOptions-3.0.lua

Ace3 - AceDBOptions-3.0
- add optional argument to GetOptionsTable(db[, noDefaultProfiles]) - if set to true will not show the default profiles in the profile selection
------------------------------------------------------------------------
r605 | nevcairiel | 2008-03-21 11:14:19 +0000 (Fri, 21 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog:
- AddToBlizOptions will return the frame registered so you can use it in InterfaceOptionsFrame_OpenToFrame
------------------------------------------------------------------------
r604 | nevcairiel | 2008-03-21 09:00:39 +0000 (Fri, 21 Mar 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/changelog.txt

Ace3 - update changelog
------------------------------------------------------------------------
r603 | nevcairiel | 2008-03-21 08:38:42 +0000 (Fri, 21 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceHook-3.0/AceHook-3.0.lua

Ace3 - AceHook-3.0
- fix logic flaw in detection of secure hooks in :Unhook
------------------------------------------------------------------------
r602 | nevcairiel | 2008-03-20 23:26:15 +0000 (Thu, 20 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceHook-3.0/AceHook-3.0.lua

Ace3 - AceHook-3.0
- do not error out when unhooking a secure hook
------------------------------------------------------------------------
r601 | nargiddley | 2008-03-20 11:48:22 +0000 (Thu, 20 Mar 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigRegistry-3.0/AceConfigRegistry-3.0.lua

Ace3 - AceConfigDialog-3.0: .multiline on type='input' can be a number to specify the number of lines shown
------------------------------------------------------------------------
r600 | nevcairiel | 2008-03-20 10:35:04 +0000 (Thu, 20 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua

Ace3 - AceConfigCmd:
- add .type as alias for .option.type in the info table
------------------------------------------------------------------------
r599 | nevcairiel | 2008-03-20 10:17:18 +0000 (Thu, 20 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-ColorPicker.lua

Ace3 - AceGUI-3.0
- ColorPicker Widget: "fix" checker background overlapping the border
------------------------------------------------------------------------
r598 | nevcairiel | 2008-03-20 10:12:30 +0000 (Thu, 20 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua

Ace3 - AceConfigCmd:
- fix missing comma (doh!)
------------------------------------------------------------------------
r597 | nargiddley | 2008-03-20 10:11:49 +0000 (Thu, 20 Mar 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog-3.0: Add .uiType, .uiName, .type, .option, .handler to info table
------------------------------------------------------------------------
r596 | nevcairiel | 2008-03-20 10:10:35 +0000 (Thu, 20 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua

Ace3 - AceConfigCmd-3.0:
- ACE-113: add .option, .uiType, .uiName to the info table (handler was already in)
------------------------------------------------------------------------
r595 | ammo | 2008-03-20 09:48:22 +0000 (Thu, 20 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-ColorPicker.lua

Ace3 - AceGUI-3.0:
- Add checkered background to show alpha effects.
------------------------------------------------------------------------
r594 | nevcairiel | 2008-03-20 08:42:44 +0000 (Thu, 20 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-ColorPicker.lua

Ace3 - AceGUI-3.0
- ColorPicker Widget: adjust texture/color handling to blizzard code, hopefully fixing the "white" bug
------------------------------------------------------------------------
r593 | nevcairiel | 2008-03-19 11:26:04 +0000 (Wed, 19 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Label.lua

Ace3 - AceGUI-3.0
- add a :SetColor function to the Label widget
------------------------------------------------------------------------
r592 | nevcairiel | 2008-03-18 11:57:16 +0000 (Tue, 18 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog:
- use a width parameter (if present) for the description widget
------------------------------------------------------------------------
r591 | nevcairiel | 2008-03-15 15:43:03 +0000 (Sat, 15 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua

Ace3 - AceConfigCmd:
- handle "hidden" in help output
------------------------------------------------------------------------
r590 | nevcairiel | 2008-03-13 23:05:46 +0000 (Thu, 13 Mar 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/Ace3.lua

Ace3 - prevent a nil error in Ace3 standalone
------------------------------------------------------------------------
r589 | nevcairiel | 2008-03-13 14:41:00 +0000 (Thu, 13 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3 - AceGUI-3.0
- ... and widget version
------------------------------------------------------------------------
r588 | nevcairiel | 2008-03-13 14:39:20 +0000 (Thu, 13 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3 - AceGUI-3.0
- tweaks to tree
------------------------------------------------------------------------
r587 | nevcairiel | 2008-03-13 14:12:57 +0000 (Thu, 13 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.xml
   A /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDown-Templates.xml
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3 - AceGUI-3.0
- redesign of the TreeGroup widget in 2.4 Interface Options style (using one of the 2.4 templates, currently duplicated in AceGUIWidget-DropDown-Templates.xml - remove with 2.4)
------------------------------------------------------------------------
r586 | nevcairiel | 2008-03-13 12:43:19 +0000 (Thu, 13 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua

Ace3 - AceGUI-3.0
- fix height of the dropdown pullout
------------------------------------------------------------------------
r585 | nevcairiel | 2008-03-13 07:51:33 +0000 (Thu, 13 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Button.lua

Ace3 - AceGUI-3.0
- tweak label positioning on the Button widget
------------------------------------------------------------------------
r584 | nevcairiel | 2008-03-13 07:48:01 +0000 (Thu, 13 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua

Ace3 - AceGUI-3.0
- Dropdown Widget: re-style dropdown pullout to blizzard style (original patch by Shadowed, plus small adjustments)
------------------------------------------------------------------------
r583 | 7destiny | 2008-03-13 03:00:42 +0000 (Thu, 13 Mar 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceDBOptions-3.0/AceDBOptions-3.0.lua

Ace3 - AceDBOptions-3.0: change wording in koKR
------------------------------------------------------------------------
r582 | nevcairiel | 2008-03-12 07:11:37 +0000 (Wed, 12 Mar 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceDBOptions-3.0/AceDBOptions-3.0.lua

Ace3 - AceDBOptions-3.0: change wording in enUS
------------------------------------------------------------------------
r581 | nevcairiel | 2008-03-12 07:10:28 +0000 (Wed, 12 Mar 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceDBOptions-3.0/AceDBOptions-3.0.lua

Ace3 - do not use the BOM UTF8 Header
------------------------------------------------------------------------
r580 | 7destiny | 2008-03-12 05:30:15 +0000 (Wed, 12 Mar 2008) | 3 lines
Changed paths:
   M /branches/Ace3/RC1/AceDBOptions-3.0/AceDBOptions-3.0.lua

Ace3 - AceDBOptions-3.0
- Change UTF8

------------------------------------------------------------------------
r579 | 7destiny | 2008-03-11 19:29:04 +0000 (Tue, 11 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceDBOptions-3.0/AceDBOptions-3.0.lua

Ace3 - AceDBOptions-3.0
- koKR locale
------------------------------------------------------------------------
r578 | mikk | 2008-03-11 17:21:33 +0000 (Tue, 11 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI:
... aaaand up the minor rev.
------------------------------------------------------------------------
r577 | mikk | 2008-03-11 17:20:10 +0000 (Tue, 11 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI:
- "List" layout was not reporting new width to .width="fill" widgets, causing e.g. groups to not resize. Fixed by forcibly calling OnWidthSet().
------------------------------------------------------------------------
r576 | nevcairiel | 2008-03-11 15:50:07 +0000 (Tue, 11 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua

Ace3
- AceGUI-3.0: adjust editbox to new layout
------------------------------------------------------------------------
r575 | nevcairiel | 2008-03-11 13:28:40 +0000 (Tue, 11 Mar 2008) | 6 lines
Changed paths:
   M /branches/Ace3/RC1/Ace3.lua
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-BlizOptionsGroup.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-CheckBox.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-ColorPicker.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Icon.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Keybinding.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Label.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-MultiLineEditBox.lua

Ace3 - 
- AceConfigDialog: fix anchoring and coloring of the tooltip
- AceConfigDialog: set control size multiplier to 170 instead of 200 to fit in the 2.4 options panel
- AceGUI: adjust widgets to look more like blizzard options
- AceGUI: BlizOptionsGroup widget will display the name as a big label on top of every page
- Ace3 standalone: disable Ace3 group in 2.4 options panel
------------------------------------------------------------------------
r573 | nevcairiel | 2008-03-10 21:24:07 +0000 (Mon, 10 Mar 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceDBOptions-3.0/AceDBOptions-3.0.lua
   M /branches/Ace3/RC1/changelog.txt

Ace3 - increment minor in AceDBOptions and update changelog
------------------------------------------------------------------------
r572 | nargiddley | 2008-03-09 10:03:02 +0000 (Sun, 09 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-ColorPicker.lua

Ace3 - AceConfigDialog: Color picker obeys hasAlpha on the color type
AceGUI: Improve Alpha handling for the ColorPicker widget, ColorPicker widget closes the ColorPickerFrame before opening to prevent values getting carried over
------------------------------------------------------------------------
r571 | nargiddley | 2008-03-09 07:22:40 +0000 (Sun, 09 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Slider.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3 - AceGUI: The Slider widget will only react to the mousewheel after it has been clicked (anywhere including the label) to prevent accidental changes to the value when trying to scroll the container it is in
- The TreeGroup widget is scrollable with the mousewheel
------------------------------------------------------------------------
r570 | nargiddley | 2008-03-09 06:33:27 +0000 (Sun, 09 Mar 2008) | 3 lines
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/RC1/tests/AceGUITest/test.lua

Ace3 - AceConfigDialog: ACE-155 - Make sure that the selected group is type='group' when checking if it exists
AceGUI: ACE-154 - Fix frame levels in more cases to prevent widgets ending up behind their containers
AceGUITest: Add test for replacing groups with other types
------------------------------------------------------------------------
r569 | nevcairiel | 2008-03-08 15:50:06 +0000 (Sat, 08 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceDBOptions-3.0/AceDBOptions-3.0.lua

Ace3 - AceDBOptions-3.0
- frFR locale
------------------------------------------------------------------------
r567 | nevcairiel | 2008-03-08 12:41:55 +0000 (Sat, 08 Mar 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceBucket-3.0/AceBucket-3.0.lua
   M /branches/Ace3/RC1/AceDBOptions-3.0/AceDBOptions-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Button.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDownGroup.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua
   M /branches/Ace3/RC1/changelog.txt

Ace3 - update changelog and some minors
------------------------------------------------------------------------
r566 | nevcairiel | 2008-03-06 14:14:56 +0000 (Thu, 06 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceDBOptions-3.0/AceDBOptions-3.0.lua

Ace3 - AceDBOptions-3.0
- convert two chars to ascii codes instead of UTF-8
------------------------------------------------------------------------
r565 | nevcairiel | 2008-03-06 14:13:05 +0000 (Thu, 06 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceDBOptions-3.0/AceDBOptions-3.0.lua

Ace3 - AceDBOptions-3.0
- deDE locale
------------------------------------------------------------------------
r564 | nevcairiel | 2008-03-05 14:00:39 +0000 (Wed, 05 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua

Ace3 - AceGUI-3.0
- fix SetDisabled in DropDown widget
------------------------------------------------------------------------
r563 | nevcairiel | 2008-03-05 11:37:13 +0000 (Wed, 05 Mar 2008) | 3 lines
Changed paths:
   M /branches/Ace3/RC1/AceDBOptions-3.0/AceDBOptions-3.0.lua

Ace3 - AceDBOptions-3.0
- added locale support
- Translators: DO NOT commit to this file directly, submit translations to the Ace3 Devs on the forums, IRC or Jira
------------------------------------------------------------------------
r562 | nevcairiel | 2008-03-04 17:52:24 +0000 (Tue, 04 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceBucket-3.0/AceBucket-3.0.lua

Ace3 - AceBucket-3.0
- fix bug
------------------------------------------------------------------------
r561 | nevcairiel | 2008-03-04 17:45:00 +0000 (Tue, 04 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceBucket-3.0/AceBucket-3.0.lua

Ace3 - AceBucket-3.0
- ACE-150: callback is now optional, if not supplied will use the eventname as method name (only possible if one event is supplied, and not a event table)
------------------------------------------------------------------------
r560 | nevcairiel | 2008-03-04 12:24:29 +0000 (Tue, 04 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua

Ace3 - AceGUI-3.0
- cleanup dropdown widget
------------------------------------------------------------------------
r559 | nevcairiel | 2008-03-04 12:15:57 +0000 (Tue, 04 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Button.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDownGroup.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua

Ace3 - AceGUI-3.0
- use blizzard templates for the EditBox and DropDown widget (the dropdown pullout still needs to be adjusted)
------------------------------------------------------------------------
r558 | nevcairiel | 2008-03-01 10:12:00 +0000 (Sat, 01 Mar 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/changelog.txt

Ace3 - tweak changelog :)
------------------------------------------------------------------------
r557 | nevcairiel | 2008-03-01 10:00:25 +0000 (Sat, 01 Mar 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/changelog.txt

Ace3 - update changelog
------------------------------------------------------------------------
r556 | nevcairiel | 2008-03-01 07:49:29 +0000 (Sat, 01 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0
- bump minor
------------------------------------------------------------------------
r555 | nevcairiel | 2008-03-01 07:38:53 +0000 (Sat, 01 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/tests/AceConfigCmd-3.0-ordering.lua
   M /branches/Ace3/RC1/tests/AceConfigCmd-3.0.lua
   M /branches/Ace3/RC1/tests/AceGUI-3.0-recycle.lua

Ace3 - tests:
- adjust tests for changes to AceConsole-3.0 output format and AceGUI Acquire change
------------------------------------------------------------------------
r554 | nevcairiel | 2008-03-01 07:35:43 +0000 (Sat, 01 Mar 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceDB-3.0/AceDB-3.0.lua
   M /branches/Ace3/RC1/tests/AceDB-3.0-defaults.lua

Ace3 - AceDB-3.0
- ACE-146: fix problem with non-table values overruling ['*']-type defaults
------------------------------------------------------------------------
r553 | nevcairiel | 2008-02-29 18:38:23 +0000 (Fri, 29 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI-3.0
- fix typo in chat warning
------------------------------------------------------------------------
r551 | nevcairiel | 2008-02-29 11:51:00 +0000 (Fri, 29 Feb 2008) | 1 line
Changed paths:
   A /branches/Ace3/RC1/changelog.txt

Ace3 - add changelog.txt, changes should be appended to this file on every trunk merge
------------------------------------------------------------------------
r549 | nevcairiel | 2008-02-29 11:27:14 +0000 (Fri, 29 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - AceAddon-3.0
- bump minor before merge
------------------------------------------------------------------------
r548 | ammo | 2008-02-29 11:15:08 +0000 (Fri, 29 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceConsole-3.0/AceConsole-3.0.lua

Ace3 - AceConsole-3.0: and update minor, need coffee
------------------------------------------------------------------------
r547 | ammo | 2008-02-29 11:14:40 +0000 (Fri, 29 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceConsole-3.0/AceConsole-3.0.lua

Ace3 - AceConsole-3.0: better handling of |T
------------------------------------------------------------------------
r546 | nevcairiel | 2008-02-29 11:12:15 +0000 (Fri, 29 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0
- properly upgrade
------------------------------------------------------------------------
r545 | ammo | 2008-02-29 11:09:11 +0000 (Fri, 29 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceConsole-3.0/AceConsole-3.0.lua

Ace3 - AceConsole-3.0: treat |T|t texture links similar to |H|h|h links.
------------------------------------------------------------------------
r544 | nevcairiel | 2008-02-28 12:32:07 +0000 (Thu, 28 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceDBOptions-3.0/AceDBOptions-3.0.lua

Ace3 - AceDBOptions-3.0
- set some get's to false instead of a func that returns false
------------------------------------------------------------------------
r543 | nevcairiel | 2008-02-28 09:59:01 +0000 (Thu, 28 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceDBOptions-3.0/AceDBOptions-3.0.lua
   M /branches/Ace3/RC1/AceDBOptions-3.0/AceDBOptions-3.0.xml

Ace3 - AceDBOptions-3.0
- svn keywords
------------------------------------------------------------------------
r542 | nevcairiel | 2008-02-28 09:55:35 +0000 (Thu, 28 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceDBOptions-3.0/AceDBOptions-3.0.lua

Ace3 - AceDBOptions-3.0
- comments and cleanup
------------------------------------------------------------------------
r541 | nevcairiel | 2008-02-28 09:45:36 +0000 (Thu, 28 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceDBOptions-3.0/AceDBOptions-3.0.lua

Ace3 - AceDBOptions-3.0
- handle upgrading
------------------------------------------------------------------------
r540 | nevcairiel | 2008-02-28 09:37:07 +0000 (Thu, 28 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0
- add two more sanity checks when dealing with profiles
------------------------------------------------------------------------
r539 | nevcairiel | 2008-02-28 09:33:42 +0000 (Thu, 28 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0
- add "silent" option to DeleteProfile because module profiles do not always have to contain the parents profiles
------------------------------------------------------------------------
r538 | nevcairiel | 2008-02-28 09:29:57 +0000 (Thu, 28 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/Ace3.toc
   A /branches/Ace3/RC1/AceDBOptions-3.0
   A /branches/Ace3/RC1/AceDBOptions-3.0/AceDBOptions-3.0.lua
   A /branches/Ace3/RC1/AceDBOptions-3.0/AceDBOptions-3.0.xml

Ace3 - AceDBOptions-3.0
- initial commit
------------------------------------------------------------------------
r537 | nevcairiel | 2008-02-25 12:54:51 +0000 (Mon, 25 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - AceAddon-3.0
- set error level on library embedding to point to the :NewAddon call
------------------------------------------------------------------------
r536 | ammo | 2008-02-24 13:08:16 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceConsole-3.0/AceConsole-3.0.lua

Ace3 - AceConsole-3.0: add some color to :Print
------------------------------------------------------------------------
r535 | ammo | 2008-02-24 08:55:28 +0000 (Sun, 24 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua

Ace3 - AceConfigCmd-3.0: add simple coloring to slashcommand output.
------------------------------------------------------------------------
r534 | nargiddley | 2008-02-22 12:08:19 +0000 (Fri, 22 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-BlizOptionsGroup.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Button.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-CheckBox.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-ColorPicker.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDownGroup.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Frame.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Heading.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Icon.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-InlineGroup.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Keybinding.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Label.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-MultiLineEditBox.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-ScrollFrame.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-SimpleGroup.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Slider.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TabGroup.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua
   M /branches/Ace3/RC1/tests/AceGUITest/test.lua

Ace3 - AceGUI: Fix Spelling of Aquire -> Acquire for widgets, all custom widgets will need to be updated.  A warning will be printed for widgets not upgraded yet.
------------------------------------------------------------------------
r533 | nargiddley | 2008-02-22 11:30:09 +0000 (Fri, 22 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: Fix typo in type check for range values
------------------------------------------------------------------------
r532 | nargiddley | 2008-02-22 11:15:26 +0000 (Fri, 22 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-ColorPicker.lua

Ace3 - AceConfigDialog: Add :SetDefaultSize(appName, width, height), sets the size the dialog will open to. Does not effect already open windows.
AceGUI: ColorPicker widget will correctly fire OnValueChanged for the cancel event of the colorpicker popup.  Reset ColorPicker's color on Aquire.
------------------------------------------------------------------------
r531 | elkano | 2008-02-21 11:50:55 +0000 (Thu, 21 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - AceTimer-3.0: CancelAllTimers() now cancels silent
------------------------------------------------------------------------
r529 | nevcairiel | 2008-02-20 07:17:43 +0000 (Wed, 20 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceAddon-3.0/AceAddon-3.0.lua
   M /branches/Ace3/RC1/AceConsole-3.0/AceConsole-3.0.lua
   M /branches/Ace3/RC1/AceDB-3.0/AceDB-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/RC1/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - bump a few minor revs in preparation of next trunk merge
------------------------------------------------------------------------
r528 | nevcairiel | 2008-02-19 22:22:38 +0000 (Tue, 19 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - AceAddon-3.0
- provide :GetName() that will always return the "real" name of a addon or module object without any prefixes
------------------------------------------------------------------------
r527 | ammo | 2008-02-19 09:17:24 +0000 (Tue, 19 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - AceTimer-3.0: add missing :OnEmbedDisable
------------------------------------------------------------------------
r526 | ammo | 2008-02-19 08:46:53 +0000 (Tue, 19 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceConsole-3.0/AceConsole-3.0.lua

Ace3 - AceConsole-3.0: Fix bug where no table for [self] was created when registering weak commands
------------------------------------------------------------------------
r524 | nargiddley | 2008-02-16 21:12:59 +0000 (Sat, 16 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/tests/AceGUITest/test.lua

Ace3Ace3: AceGUITest: Update to the ConfigTest AceOptions3 config table, Correct branch this time
------------------------------------------------------------------------
r522 | nevcairiel | 2008-02-16 19:26:49 +0000 (Sat, 16 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceDB-3.0/AceDB-3.0.lua
   M /branches/Ace3/RC1/tests/AceDB-3.0-defaults.lua

Ace3 - AceDB-3.0
- clear tables that are empty after defaults removal
------------------------------------------------------------------------
r521 | nevcairiel | 2008-02-16 18:47:39 +0000 (Sat, 16 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceDB-3.0/AceDB-3.0.lua
   M /branches/Ace3/RC1/tests/AceDB-3.0.lua

Ace3 - AceDB-3.0
- add nil checks to metatable handling
------------------------------------------------------------------------
r520 | nargiddley | 2008-02-16 09:18:51 +0000 (Sat, 16 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: Handle ConfigTableChanged event for Options embedded in the 2.4 Interface Options Frame.
------------------------------------------------------------------------
r519 | nargiddley | 2008-02-16 08:55:56 +0000 (Sat, 16 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/Ace3.lua

Ace3 - Handle ConfigTableChanged events for the /ace3 config frame
------------------------------------------------------------------------
r518 | nargiddley | 2008-02-15 11:43:26 +0000 (Fri, 15 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Button.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Keybinding.lua

Ace3 - AceGUI: Button and Keybinding use UIPanelButtonTemplate2
------------------------------------------------------------------------
r517 | nargiddley | 2008-02-15 08:30:27 +0000 (Fri, 15 Feb 2008) | 3 lines
Changed paths:
   M /branches/Ace3/RC1/Ace3.lua
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.xml
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-BlizOptionsGroup.lua
   A /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Icon.lua

Ace3 - Add a page to the Blizzard 2.4 Interface Options with icons to open dialogs for configs registered when installed standalone
AceGUI: Add Icon widget
 - Allow room for the border in the BlizOptionsGroup widget
------------------------------------------------------------------------
r516 | nargiddley | 2008-02-14 09:44:52 +0000 (Thu, 14 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.xml
   A /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-BlizOptionsGroup.lua

Ace3 - AceConfigDialog: Add :AddToBlizzardOptions(appName, name), this will add the specified config to the Blizzard Options pane new in 2.4.  This will only be available if running on the 2.4 ptr
AceGUI: Fix a couple of layout bugs causing the width of groups to be wrong
------------------------------------------------------------------------
r515 | nevcairiel | 2008-02-11 21:56:52 +0000 (Mon, 11 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0
- fix operator precedence bug
------------------------------------------------------------------------
r514 | nevcairiel | 2008-02-10 17:00:19 +0000 (Sun, 10 Feb 2008) | 3 lines
Changed paths:
   M /branches/Ace3/RC1/AceDB-3.0/AceDB-3.0.lua
   M /branches/Ace3/RC1/tests/AceDB-3.0.lua

Ace3 - AceDB-3.0
- fix GetProfiles() when setting the same profile twice
- bail out of :SetProfile early when trying to set to the same profile
------------------------------------------------------------------------
r513 | nargiddley | 2008-02-10 08:10:40 +0000 (Sun, 10 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigRegistry-3.0/AceConfigRegistry-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Label.lua

Ace3 - AceConfigDialog: type = 'description' now uses the fields image and imageCoords instead of icon and iconCoords, add imageWidth and imageHeight
------------------------------------------------------------------------
r511 | nevcairiel | 2008-02-09 16:42:20 +0000 (Sat, 09 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog:
- remove AceConsole upvalue since its nowhere used, and not required to have for ACD to run
------------------------------------------------------------------------
r510 | nargiddley | 2008-02-09 08:35:19 +0000 (Sat, 09 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceConfigDialog: multiline inputs are no longer forced to width = "full"
AceGUI: Small fix to the flow layout preventing controls overlapping in some cases
------------------------------------------------------------------------
r509 | nargiddley | 2008-02-09 07:12:13 +0000 (Sat, 09 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Label.lua

Ace3 - AceConfigDialog: type = 'description' will now show .icon as an image with its text
------------------------------------------------------------------------
r508 | nargiddley | 2008-02-09 02:03:43 +0000 (Sat, 09 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-MultiLineEditBox.lua

Ace3 - AceGUI: Add OnEnter and OnLeave Callbacks to the MultiLineEditBox widget
------------------------------------------------------------------------
r507 | nargiddley | 2008-02-09 01:49:00 +0000 (Sat, 09 Feb 2008) | 3 lines
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigRegistry-3.0/AceConfigRegistry-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/AceGUI-3.0.xml
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDownGroup.lua
   A /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-MultiLineEditBox.lua

Ace3 - AceConfigDialog: Add support for multiline = true on type = 'input'
- Fix an error when all groups are hidden in a group with childGroups = 'select'
AceGUI: Add MultiLineEditBox widget (originally by bam)
------------------------------------------------------------------------
r506 | nargiddley | 2008-02-09 00:13:57 +0000 (Sat, 09 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigRegistry-3.0/AceConfigRegistry-3.0.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TabGroup.lua

Ace3 - AceGUI: Update TabGroup's tablist format, tabs are selected by value not index
AceConfigDialog: Implement control and dialogControl for types 'input' and 'select'
------------------------------------------------------------------------
r505 | nevcairiel | 2008-02-08 18:43:30 +0000 (Fri, 08 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - AceAddon-3.0
- fix a bug with recursive addon loading (addon calling LoadAddOn during OnInit or OnEnabled)
------------------------------------------------------------------------
r504 | nevcairiel | 2008-02-07 11:04:06 +0000 (Thu, 07 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/CallbackHandler-1.0/CallbackHandler-1.0.lua

Ace3 - CallbackHandler-1.0
- bump minor rev too
------------------------------------------------------------------------
r503 | nevcairiel | 2008-02-07 11:03:10 +0000 (Thu, 07 Feb 2008) | 3 lines
Changed paths:
   M /branches/Ace3/RC1/CallbackHandler-1.0/CallbackHandler-1.0.lua

Ace3 - CallbackHandler-1.0
- remove unnecessary table creation if a event is fired thats not registered
- small tweak to :Fire function
------------------------------------------------------------------------
r501 | nargiddley | 2008-02-06 09:22:47 +0000 (Wed, 06 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3 - AceGUI: Add OnClick callback to the TreeGroup widget.
------------------------------------------------------------------------
r500 | nargiddley | 2008-02-06 09:09:01 +0000 (Wed, 06 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: Confirm popups will be above the config window
------------------------------------------------------------------------
r499 | nargiddley | 2008-02-06 00:11:09 +0000 (Wed, 06 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Keybinding.lua

Ace3 - AceGUI: Dropdown, Editbox and Keybinding labels grey out when disabled
------------------------------------------------------------------------
r498 | nargiddley | 2008-02-05 07:38:23 +0000 (Tue, 05 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-ColorPicker.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-DropDownGroup.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Frame.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-InlineGroup.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-Keybinding.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-SimpleGroup.lua
   M /branches/Ace3/RC1/AceGUI-3.0/widgets/AceGUIWidget-TabGroup.lua

Ace3 - AceGUI: :SetToplevel(true) for the Frame widget, multiple open windows should play nice together now
- Move Frames to the FULLSCREEN_DIALOG strata
------------------------------------------------------------------------
r496 | nevcairiel | 2008-02-03 16:28:45 +0000 (Sun, 03 Feb 2008) | 1 line
Changed paths:
   A /branches/Ace3/RC1 (from /branches/Ace3/Beta:495)

Ace3 - copy branch to RC1 branch for developing our first release candidate ( addon devs might want to switch their externals to this - beta branch might vanish )
------------------------------------------------------------------------
r494 | nevcairiel | 2008-02-03 13:03:56 +0000 (Sun, 03 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceAddon-3.0/AceAddon-3.0.lua
   M /branches/Ace3/Beta/AceBucket-3.0/AceBucket-3.0.lua
   M /branches/Ace3/Beta/AceComm-3.0/AceComm-3.0.lua
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfig-3.0.lua
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigRegistry-3.0/AceConfigRegistry-3.0.lua
   M /branches/Ace3/Beta/AceConsole-3.0/AceConsole-3.0.lua
   M /branches/Ace3/Beta/AceDB-3.0/AceDB-3.0.lua
   M /branches/Ace3/Beta/AceEvent-3.0/AceEvent-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Button.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-CheckBox.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-ColorPicker.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-DropDownGroup.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Frame.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Heading.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-InlineGroup.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Keybinding.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Label.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-ScrollFrame.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-SimpleGroup.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Slider.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-TabGroup.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua
   M /branches/Ace3/Beta/AceHook-3.0/AceHook-3.0.lua
   M /branches/Ace3/Beta/AceLocale-3.0/AceLocale-3.0.lua
   M /branches/Ace3/Beta/AceSerializer-3.0/AceSerializer-3.0.lua
   M /branches/Ace3/Beta/AceTimer-3.0/AceTimer-3.0.lua
   M /branches/Ace3/Beta/CallbackHandler-1.0/CallbackHandler-1.0.lua

Ace3 - bump the minor revs of all libs and widgets for the upcoming beta
------------------------------------------------------------------------
r493 | nargiddley | 2008-02-03 11:35:00 +0000 (Sun, 03 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Slider.lua

Ace3 - AceGUI: Fix slider widget moving with the mousewheel when disabled
------------------------------------------------------------------------
r492 | nargiddley | 2008-02-03 01:58:08 +0000 (Sun, 03 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua

Ace3 - AceConfigCmd:
- Implement type = 'keybinding'
------------------------------------------------------------------------
r491 | nargiddley | 2008-02-03 01:29:44 +0000 (Sun, 03 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua

Ace3 - AceConfigCmd:
- Implement type = 'color'
------------------------------------------------------------------------
r490 | nargiddley | 2008-02-03 00:36:01 +0000 (Sun, 03 Feb 2008) | 3 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua

Ace3 - AceConfigCmd:
- Finish implementation of tristate in type = 'select', now accepts 'default' to set to the third state
- Implement type = 'multiselect' with full support for tristate
------------------------------------------------------------------------
r489 | ammo | 2008-02-02 09:29:54 +0000 (Sat, 02 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - AceAddon-3.0:
- Fix bug with disabling an addon from it's onenable, and make iterateaddonstatuses work for disabled addons.
------------------------------------------------------------------------
r488 | nevcairiel | 2008-02-01 18:10:10 +0000 (Fri, 01 Feb 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI-3.0
- clear the width setting when releasing a widget into the wild
------------------------------------------------------------------------
r487 | nargiddley | 2008-02-01 09:27:24 +0000 (Fri, 01 Feb 2008) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-ColorPicker.lua

Ace3 - AceGUI: Fix typo in ColorPicker widget preventing SetDisabled from working
------------------------------------------------------------------------
r486 | nargiddley | 2008-01-28 09:42:38 +0000 (Mon, 28 Jan 2008) | 1 line
Changed paths:
   M /branches/Ace3/Beta/Ace3.lua

Ace3 - Close the config window opened with /ace3 when esc is pressed
------------------------------------------------------------------------
r485 | ag | 2008-01-27 22:46:55 +0000 (Sun, 27 Jan 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog:
- changed v to path[i] in local function GetOptionsMemberValue
------------------------------------------------------------------------
r484 | nevcairiel | 2008-01-27 17:41:47 +0000 (Sun, 27 Jan 2008) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceAddon-3.0/AceAddon-3.0.lua
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - remove some ipairs calls
------------------------------------------------------------------------
r483 | nargiddley | 2008-01-27 08:24:20 +0000 (Sun, 27 Jan 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/AceGUI-3.0.xml
   A /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-SimpleGroup.lua

Ace3 - AceGUI: Add SimpleGroup widget
AceConfigDialog: Inline Groups that have no name (name = "") will use the SimpleGroup widget, this has no border or title.  The effect will be that these groups will never share a line with options not in them but otherwise be completely inline with their parent groups options.
------------------------------------------------------------------------
r482 | mikk | 2008-01-27 04:02:42 +0000 (Sun, 27 Jan 2008) | 3 lines
Changed paths:
   M /branches/Ace3/Beta/AceSerializer-3.0/AceSerializer-3.0.lua
   M /branches/Ace3/Beta/tests/AceSerializer-3.0.lua

Ace3 - ACE-130:
- Table values or keys set to false would cause deserializer errors. Fixed. Tests added.

------------------------------------------------------------------------
r481 | mikk | 2008-01-25 06:22:45 +0000 (Fri, 25 Jan 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/CallbackHandler-1.0/CallbackHandler-1.0.lua
   M /branches/Ace3/Beta/tests/CallbackHandler-1.0.lua

Ace3 - CallbackHandler:
- An event initially registered from within a handler would have OnUsed immediately fired. But if it is then unregistered from within that handler, OnUnused would not fire.  The OnUsed call is now delayed to the point where the insertion queue goes live, and does not happen at all in the given case.
------------------------------------------------------------------------
r480 | nargiddley | 2008-01-24 06:31:02 +0000 (Thu, 24 Jan 2008) | 3 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigRegistry-3.0/AceConfigRegistry-3.0.lua

Ace3 - AceConfig:
- Add width parameter to the Config table validator
- Add support for width to AceConfigDialog-3.0
------------------------------------------------------------------------
r479 | xinhuan | 2008-01-24 01:50:49 +0000 (Thu, 24 Jan 2008) | 1 line
Changed paths:
   M /branches/Ace3/Beta/docs/AceEvent-3.0.txt

Ace3 - Fix documentation from :TriggerMessage() to :SendMessage()
------------------------------------------------------------------------
r478 | nargiddley | 2008-01-23 09:24:07 +0000 (Wed, 23 Jan 2008) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI: fix AceGUI-3.0.lua:389: attempt to perform arithmetic on field 'height' (a nil value)
------------------------------------------------------------------------
r477 | joshborke | 2008-01-22 18:16:35 +0000 (Tue, 22 Jan 2008) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/AceGUI-3.0.lua

AceGUI-3.0: fixed leaked global
------------------------------------------------------------------------
r476 | ammo | 2008-01-22 14:47:25 +0000 (Tue, 22 Jan 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceLocale-3.0/AceLocale-3.0.lua

Ace3 - AceLocale:
- make the error handler for writeproxies a local function
------------------------------------------------------------------------
r475 | nargiddley | 2008-01-22 10:05:34 +0000 (Tue, 22 Jan 2008) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3 - AceGUI: Fix indents not being updated on the tree widget
------------------------------------------------------------------------
r474 | nevcairiel | 2008-01-21 21:04:12 +0000 (Mon, 21 Jan 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua

Ace3: AceGUI-3.0
- revert change to dropdown control until we can figure out whats going on
------------------------------------------------------------------------
r473 | nevcairiel | 2008-01-21 11:25:43 +0000 (Mon, 21 Jan 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua

Ace3: AceGUI-3.0
- parent the dropdown list to the dropdown control
------------------------------------------------------------------------
r472 | nargiddley | 2008-01-20 23:50:35 +0000 (Sun, 20 Jan 2008) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Frame.lua

Ace3 - AceGUI: Restore Frame widget's strata on Aquire, Reset Dropdown group's label on Aquire
------------------------------------------------------------------------
r471 | ammo | 2008-01-20 20:26:57 +0000 (Sun, 20 Jan 2008) | 5 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua
   M /branches/Ace3/Beta/AceConsole-3.0/AceConsole-3.0.lua

Ace3 - ACE-69
- Add IterateChatCommands to AceConsole
- RegisterChatCommand now returns true upon success
- Add GetChatCommandOptions to AceConfigCmd so AceTab can get the options table for a chatcommand

------------------------------------------------------------------------
r470 | polarina | 2008-01-20 19:55:19 +0000 (Sun, 20 Jan 2008) | 4 lines
Changed paths:
   M /branches/Ace3/Beta/AceBucket-3.0/AceBucket-3.0.lua
   M /branches/Ace3/Beta/AceComm-3.0/AceComm-3.0.lua
   M /branches/Ace3/Beta/AceConsole-3.0/AceConsole-3.0.lua
   M /branches/Ace3/Beta/AceHook-3.0/AceHook-3.0.lua
   M /branches/Ace3/Beta/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - AceBucket-3.0, AceComm-3.0, AceConsole-3.0, AceHook-3.0, AceTab-3.0, AceTimer-3.0:
- Added some upvalues for minor performance improvement.
- Removed some unused upvalues.

------------------------------------------------------------------------
r469 | nevcairiel | 2008-01-20 18:56:40 +0000 (Sun, 20 Jan 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - AceAddon-3.0 
- some minor tweaks
------------------------------------------------------------------------
r468 | nevcairiel | 2008-01-20 18:49:22 +0000 (Sun, 20 Jan 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - AceAddon-3.0
- add some additional error messages to notify the author of mal-practice
------------------------------------------------------------------------
r467 | nevcairiel | 2008-01-20 17:49:59 +0000 (Sun, 20 Jan 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceSerializer-3.0/AceSerializer-3.0.lua

Ace3 - AceSerializer:
- add some upvalues for minor speed ups
------------------------------------------------------------------------
r466 | nevcairiel | 2008-01-20 17:38:24 +0000 (Sun, 20 Jan 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceSerializer-3.0/AceSerializer-3.0.lua

Ace3 - AceSerializer:
- removed unused strlen upvalue
------------------------------------------------------------------------
r465 | nargiddley | 2008-01-19 11:43:56 +0000 (Sat, 19 Jan 2008) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-DropDownGroup.lua

Ace3 - AceGUI: Fix the Dropdown in the DropdownGroup widget sometimes appearing double height
------------------------------------------------------------------------
r464 | nargiddley | 2008-01-19 11:33:46 +0000 (Sat, 19 Jan 2008) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: Fix error when deleting the current group
------------------------------------------------------------------------
r463 | nargiddley | 2008-01-19 11:28:13 +0000 (Sat, 19 Jan 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua

Ace3 - AceGUI: Make EditBox and Select Widgets borders consistent
AceConfigDialog: Change the color of the sub-option's name in the multiselect tooltip to make it stand out from the desc.
------------------------------------------------------------------------
r462 | nargiddley | 2008-01-19 11:12:29 +0000 (Sat, 19 Jan 2008) | 3 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog:
 - disabled is now always inherited
 - hiding the current group will trigger switching to a non-hidden one similar to deleting the current group switching to an existing one
------------------------------------------------------------------------
r461 | nargiddley | 2008-01-19 10:57:13 +0000 (Sat, 19 Jan 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Slider.lua

Ace3 - AceGUI: add :SetIsPercent to the Slider widget, this will show 1.0 as 100%, values entered manually will be interperated as percents
AceConfigDialog: support for .isPercent = true on type = 'range'
------------------------------------------------------------------------
r460 | nargiddley | 2008-01-19 06:44:53 +0000 (Sat, 19 Jan 2008) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Label.lua

Ace3 - AceGUI: Fix Label widget Text Justification
------------------------------------------------------------------------
r459 | nargiddley | 2008-01-19 05:59:28 +0000 (Sat, 19 Jan 2008) | 3 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigRegistry-3.0/AceConfigRegistry-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/AceGUI-3.0.xml
   A /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Label.lua

Ace3 - AceConfig: Add type = 'description' to the options table validator
AceConfigDialog: Add support for type = 'description'
AceGUI: Add Label Widget Type
------------------------------------------------------------------------
r458 | nargiddley | 2008-01-19 01:57:10 +0000 (Sat, 19 Jan 2008) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: Show the name of the sub-element of a multiselect in its tooltip
------------------------------------------------------------------------
r457 | nargiddley | 2008-01-19 01:50:09 +0000 (Sat, 19 Jan 2008) | 3 lines
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Button.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-ScrollFrame.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-TabGroup.lua

Ace3 - AceGUI: ACE-124
- Center text on tabs and buttons better
- Tweak transparency of scrollbar backgrounds
------------------------------------------------------------------------
r456 | nargiddley | 2008-01-19 01:32:27 +0000 (Sat, 19 Jan 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Keybinding.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Slider.lua

Ace3 - AceGUI:  Flow layout will align widgets center or other defined offset instead of top
- Define an alignoffset for editbox, keybind, dropdown and slider widgets. This will cause them to align properly in a flow layout.
------------------------------------------------------------------------
r455 | joshborke | 2008-01-17 17:23:27 +0000 (Thu, 17 Jan 2008) | 1 line
Changed paths:
   M /branches/Ace3/Beta/tests/check_globals.sh

Ace3: updated check_globals.sh script to include pretty colors
------------------------------------------------------------------------
r454 | mikk | 2008-01-17 09:48:18 +0000 (Thu, 17 Jan 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/tests/AceSerializer-3.0.lua

Ace3 - tests:
- Document new AceSerializer-3.0 tests for ACE-123 better
------------------------------------------------------------------------
r453 | mikk | 2008-01-17 09:35:56 +0000 (Thu, 17 Jan 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceSerializer-3.0/AceSerializer-3.0.lua
   M /branches/Ace3/Beta/tests/AceSerializer-3.0.lua

Ace3 - AceSerializer:
- ACE-123: Use "mantissa,exponent" format for transmitting numbers that would lose precision in tostring() format. The mantissa is currently always transmitted as an integer to get around rounding problems, but the deserializer accepts any number.
------------------------------------------------------------------------
r452 | nargiddley | 2008-01-15 09:50:10 +0000 (Tue, 15 Jan 2008) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: Throttle ConfigTableChange Events
------------------------------------------------------------------------
r451 | nargiddley | 2008-01-15 08:47:52 +0000 (Tue, 15 Jan 2008) | 4 lines
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-DropDownGroup.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Frame.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-InlineGroup.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-ScrollFrame.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-TabGroup.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3 - AceGUI: 
 - Remember the size widgets have been given rather than relying on :GetWidth and :GetHeight for layout purposes, this fixes layout problems caused when they return incorrect values immediately after being anchored 
 - Add :SetWidth and :SetHeight to WidgetBase
 - Add OnWidthSet and OnHeightSet to all Container Widgets that updates their content frame's size
------------------------------------------------------------------------
r450 | mikk | 2008-01-14 16:25:21 +0000 (Mon, 14 Jan 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceSerializer-3.0/AceSerializer-3.0.lua

Ace3 - AceSerializer:
- Fix an error message for something that can never happen, so a bit pointless but ohwell :)
------------------------------------------------------------------------
r449 | nargiddley | 2008-01-13 03:29:35 +0000 (Sun, 13 Jan 2008) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-InlineGroup.lua

Ace3 - AceGUI: InlineGroup no longer causes its parent to layout, Flow Layout will trigger a layout in children after placing them. This should fix all layout related lockups for good.
------------------------------------------------------------------------
r448 | nargiddley | 2008-01-12 09:25:21 +0000 (Sat, 12 Jan 2008) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: ACE-121: Deleting the current group no longer causes errors
------------------------------------------------------------------------
r447 | nargiddley | 2008-01-12 08:09:48 +0000 (Sat, 12 Jan 2008) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: Pass args correctly to the func from a confirm popup
------------------------------------------------------------------------
r446 | nargiddley | 2008-01-12 07:46:25 +0000 (Sat, 12 Jan 2008) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua

Ace3 - AceGUI: EditBox: Don't show Ok button when false or nil is passed to :SetText
------------------------------------------------------------------------
r445 | nargiddley | 2008-01-12 07:43:00 +0000 (Sat, 12 Jan 2008) | 5 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog:
- Sorting method doesn't break with the same table in an group more than once
- ACE-120: confirmPopup handles deleting info correctly when the func is a method
- window is refreshed when a confirm is used
- Show error messages when input doesn't match pattern or validate returns false or a string
------------------------------------------------------------------------
r444 | nargiddley | 2008-01-12 07:30:29 +0000 (Sat, 12 Jan 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua

Ace3 - AceGUI: :Fire returns the result of the callback to the widget
EditBox: if true is returned from the OnEnterPressed callback, don't hide the Ok button
------------------------------------------------------------------------
r443 | nargiddley | 2008-01-11 22:16:39 +0000 (Fri, 11 Jan 2008) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: Fixed info[#info] not being the current option for some callbacks
------------------------------------------------------------------------
r442 | nevcairiel | 2008-01-11 10:46:00 +0000 (Fri, 11 Jan 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0
- ACE-119: CallbackHandler is now optional
------------------------------------------------------------------------
r441 | ammo | 2008-01-03 12:43:45 +0000 (Thu, 03 Jan 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/Ace3.toc

Ace3 - AceSerializer-3.0
- ACE-116 : added to .toc
------------------------------------------------------------------------
r440 | nevcairiel | 2008-01-03 11:15:42 +0000 (Thu, 03 Jan 2008) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceDB-3.0/AceDB-3.0.lua
   M /branches/Ace3/Beta/tests/AceDB-3.0-defaults.lua

Ace3 - AceDB-3.0
- Fix ACE-115 and add a test to to check for this.
------------------------------------------------------------------------
r439 | nargiddley | 2008-01-01 10:48:09 +0000 (Tue, 01 Jan 2008) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Slider.lua

Ace3 - AceGUI: Slider widget is controllable with the mousewheel
------------------------------------------------------------------------
r438 | mikk | 2007-12-31 19:14:28 +0000 (Mon, 31 Dec 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/tests/AceTimer-3.0-test1.lua

Ace3 - tests:
- Adapt AceTimer tests for ACE-94 (CancelTimer no longer fails silently by default)
------------------------------------------------------------------------
r437 | mikk | 2007-12-31 16:07:24 +0000 (Mon, 31 Dec 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/tests/AceTimer-3.0-test2.lua

Ace3 - tests:
- Fix typod test for ACE-94
------------------------------------------------------------------------
r436 | mikk | 2007-12-31 16:05:13 +0000 (Mon, 31 Dec 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/tests/AceConfigRegisty-3.0-errors.lua

Ace3 - tests:
- Update AceConfigRegistry tests for ACE-96
------------------------------------------------------------------------
r435 | nevcairiel | 2007-12-31 14:55:01 +0000 (Mon, 31 Dec 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Beta/AceDB-3.0/AceDB-3.0.lua
   M /branches/Ace3/Beta/AceSerializer-3.0/AceSerializer-3.0.lua
   M /branches/Ace3/Beta/tests/AceDB-3.0.lua

Ace3 - 
- revert AceDB profile change because its easier for the developer to set a shared profile as default rathern then the character profile
- rename a var in AceSerializer for clarity
------------------------------------------------------------------------
r434 | nevcairiel | 2007-12-31 14:44:41 +0000 (Mon, 31 Dec 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/tests/AceDB-3.0.lua

Ace3 - tests:
- fix AceDB test for new default profile
------------------------------------------------------------------------
r433 | nevcairiel | 2007-12-31 14:44:20 +0000 (Mon, 31 Dec 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceSerializer-3.0/AceSerializer-3.0.lua

Ace3 - AceSerializer:
- reuse the serialize table
------------------------------------------------------------------------
r432 | nevcairiel | 2007-12-31 14:32:59 +0000 (Mon, 31 Dec 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0
- set default profile to "Default" instead of character
------------------------------------------------------------------------
r431 | nevcairiel | 2007-12-31 14:32:37 +0000 (Mon, 31 Dec 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceSerializer-3.0/AceSerializer-3.0.lua

Ace3 - AceSerializer:
- fix typo
------------------------------------------------------------------------
r430 | nevcairiel | 2007-12-31 14:27:41 +0000 (Mon, 31 Dec 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceSerializer-3.0/AceSerializer-3.0.lua

Ace3 - AceSerializer:
- add support for NaN's
------------------------------------------------------------------------
r429 | nevcairiel | 2007-12-31 14:16:01 +0000 (Mon, 31 Dec 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0
- properly store and restore the players profile
------------------------------------------------------------------------
r428 | mikk | 2007-12-30 23:29:44 +0000 (Sun, 30 Dec 2007) | 8 lines
Changed paths:
   M /branches/Ace3/Beta/AceTimer-3.0/AceTimer-3.0.lua
   A /branches/Ace3/Beta/tests/AceTimer-3.0-ACE94.lua
   M /branches/Ace3/Beta/tests/AceTimer-3.0-test2.lua

Ace3 - AceTimer:
- ACE-94: We now incrementally reclaim memory used by AceTimer.selfs[] on PLAYER_REGEN_ENABLED events (if deemed necessary). Every 250 timer regs (max ~10KB slosh indices) the table is recreated.
- We now output a warning if an addon/module is seen to have "lots of timers" registered (currently defined as ==BUCKETS, 131). This problem has been seen in enough addons to justify the warning, imnsho. It's also damn cheap to do inside the cleaner.
- Added test cases for the above.
- Add optional "silent" argument to CancelTimer(). If false (the default), CancelTimer will now emit warnings via geterrorhandler() if you attempt to cancel a cancelled/nonexistant timer.
- Added test cases for CancelTimer() on invalid timers.
- Improve documentation somewhat more.

------------------------------------------------------------------------
r427 | nevcairiel | 2007-12-30 13:09:54 +0000 (Sun, 30 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/split.bat
   M /branches/Ace3/Beta/unsplit.bat

Ace3 - improve split.bat to fix load order issues with Ace3.lua standalone
------------------------------------------------------------------------
r426 | funkydude | 2007-12-29 13:24:59 +0000 (Sat, 29 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/split.bat

Ace3 - fix splitting
------------------------------------------------------------------------
r425 | nevcairiel | 2007-12-28 01:02:44 +0000 (Fri, 28 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/Ace3.lua

Ace3 - potential fix for the /ace3 command being able to be used more then once
------------------------------------------------------------------------
r424 | nevcairiel | 2007-12-27 20:46:56 +0000 (Thu, 27 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/Ace3.lua

Ace3 - fix another bug if no configs are registered
------------------------------------------------------------------------
r423 | nevcairiel | 2007-12-27 20:44:14 +0000 (Thu, 27 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/Ace3.lua

Ace3 - fix a small bug in Ace3 standalone when the func errored
------------------------------------------------------------------------
r422 | nargiddley | 2007-12-27 09:28:43 +0000 (Thu, 27 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua

Ace3 - AceConfigCmd: Add support for tristate on type='toggle'
------------------------------------------------------------------------
r421 | nargiddley | 2007-12-27 09:15:04 +0000 (Thu, 27 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua

Ace3 - AceConfigCmd: ACE-96 - name, desc can be a funcref. order, values can be a methodname or funcref
------------------------------------------------------------------------
r420 | nargiddley | 2007-12-27 09:12:27 +0000 (Thu, 27 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: - Add to the info tables path when building a tree correctly
------------------------------------------------------------------------
r419 | nargiddley | 2007-12-27 07:02:10 +0000 (Thu, 27 Dec 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigRegistry-3.0/AceConfigRegistry-3.0.lua

Ace3 - AceConfig:
- ACE-96: Update validator to allow more fields to be funcrefs
- AceConfigDialog: Fix usage string being interpreted as a method name
------------------------------------------------------------------------
r418 | nevcairiel | 2007-12-22 12:21:21 +0000 (Sat, 22 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/Ace3.lua

Ace3 - added a very simple /print command to the Ace3 standalone. does not do recursive printing of tables or anything, get devtools if you need that.
------------------------------------------------------------------------
r417 | nargiddley | 2007-12-22 09:14:30 +0000 (Sat, 22 Dec 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigRegistry-3.0/AceConfigRegistry-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-CheckBox.lua

Ace3 - AceConfigDialog: Implement the tristate option of toggle and multiselect
AceConfigRegistry: Add tristate to the validator
------------------------------------------------------------------------
r416 | nargiddley | 2007-12-22 08:56:47 +0000 (Sat, 22 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Keybinding.lua

Ace3 - AceGUI: Fix ignoreKeys naming
------------------------------------------------------------------------
r415 | nargiddley | 2007-12-22 08:29:44 +0000 (Sat, 22 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua

Ace3 - AceGUI: ACE-52 - Add an OK button to the editbox widget when it has unsaved text
------------------------------------------------------------------------
r414 | nargiddley | 2007-12-21 10:14:57 +0000 (Fri, 21 Dec 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: 
- Cleanup access of fields allowing easier maintenance
- ACE-96 - Support name,desc,values,order as functions
------------------------------------------------------------------------
r413 | ammo | 2007-12-20 08:38:24 +0000 (Thu, 20 Dec 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Beta/Ace3.lua

Ace3:
ACE-57 - Add /ace3 slashcommand.
- Will only be there with Ace3 standalone. Opens an addon options dialog exactly like ConfigWrangler.
------------------------------------------------------------------------
r412 | mikk | 2007-12-19 10:22:33 +0000 (Wed, 19 Dec 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Beta/tests/AceConfigCmd-3.0-ordering.lua
   M /branches/Ace3/Beta/tests/AceConfigCmd-3.0.lua
   M /branches/Ace3/Beta/tests/AceConfigRegisty-3.0-errors.lua

Ace3 - tests:
- Pull in CallbackHandler-1.0 in all of the tests
~lart [ammo] for not running tests before committing

------------------------------------------------------------------------
r411 | mikk | 2007-12-19 10:19:16 +0000 (Wed, 19 Dec 2007) | 7 lines
Changed paths:
   A /branches/Ace3/Beta/tests/AceConfigCmd-3.0-ordering.lua
   M /branches/Ace3/Beta/tests/AceConfigCmd-3.0.lua

Ace3 - tests:
AceConfigCmd-3.0.lua:
- ACE-60: Remove "confirm" tests. Cmd doesn't do confirm.
- Tests for plugins and overriding.
AceConfigCmd-3.0-ordering.lua:
- Add lots of tests for plugins and inlines (and inlines in inlines)

------------------------------------------------------------------------
r410 | mikk | 2007-12-19 10:14:56 +0000 (Wed, 19 Dec 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Beta/AceAddon-3.0
   M /branches/Ace3/Beta/AceBucket-3.0
   M /branches/Ace3/Beta/AceComm-3.0
   M /branches/Ace3/Beta/AceConfig-3.0
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigCmd-3.0
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDropdown-3.0
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigRegistry-3.0
   M /branches/Ace3/Beta/AceConsole-3.0
   M /branches/Ace3/Beta/AceDB-3.0
   M /branches/Ace3/Beta/AceEvent-3.0
   M /branches/Ace3/Beta/AceGUI-3.0
   M /branches/Ace3/Beta/AceGUI-3.0/widgets
   M /branches/Ace3/Beta/AceHook-3.0
   M /branches/Ace3/Beta/AceLocale-3.0
   M /branches/Ace3/Beta/AceSerializer-3.0
   M /branches/Ace3/Beta/AceTimer-3.0
   M /branches/Ace3/Beta/CallbackHandler-1.0

Ace3:
- svn:ignore .toc files autocreated by split.bat
AceConfigCmd:
- Fix sorting: negative numbers, sort according to name when order is same.
------------------------------------------------------------------------
r409 | nargiddley | 2007-12-19 09:41:29 +0000 (Wed, 19 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: ACE-43 - Refresh an Open Dialog when a ConfigTableChange event for that table is received
------------------------------------------------------------------------
r408 | ammo | 2007-12-18 15:25:04 +0000 (Tue, 18 Dec 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigRegistry-3.0/AceConfigRegistry-3.0.lua

Ace3 - AceConfigRegistry:
- Add CallbackHandler for NotifyChange
- :NotifyChange("optionsTableName")
- AceConfigDialog will have to register for the "ConfigTableChange" callback. gogo Nargiddley :)
------------------------------------------------------------------------
r407 | nevcairiel | 2007-12-18 14:34:54 +0000 (Tue, 18 Dec 2007) | 2 lines
Changed paths:
   A /branches/Ace3/Beta/tests/AceGUI-3.0-recycle.lua
   M /branches/Ace3/Beta/tests/wow_api.lua

Ace3 - tests:
- ACE-83: add test case
------------------------------------------------------------------------
r406 | nargiddley | 2007-12-18 09:38:36 +0000 (Tue, 18 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: ACE-100 - Show usage in tooltip for type = 'input'
------------------------------------------------------------------------
r405 | nargiddley | 2007-12-16 05:28:50 +0000 (Sun, 16 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua

Ace3 - AceGUI: Remove space before rank of spells dragged into an Editbox widget
------------------------------------------------------------------------
r404 | nevcairiel | 2007-12-14 12:49:43 +0000 (Fri, 14 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - strip a outdated comment notice
------------------------------------------------------------------------
r403 | nevcairiel | 2007-12-14 12:49:09 +0000 (Fri, 14 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceAddon-3.0/AceAddon-3.0.lua
   M /branches/Ace3/Beta/AceBucket-3.0/AceBucket-3.0.lua
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/Beta/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - fix return values in safecall
------------------------------------------------------------------------
r402 | nevcairiel | 2007-12-14 12:23:44 +0000 (Fri, 14 Dec 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua

Ace3 - AceGUI-3.0
- fix bug in the editbox widget
------------------------------------------------------------------------
r401 | ammo | 2007-12-14 09:54:00 +0000 (Fri, 14 Dec 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Button.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-CheckBox.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-ColorPicker.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-DropDownGroup.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Frame.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Heading.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-InlineGroup.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Keybinding.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-ScrollFrame.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Slider.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-TabGroup.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3 - AceGUI-3.0: add versioning to widgets.
- This breaks compat in a bad way, update all your AceGUI-3.0 instances.
- Versions are all 0 for now.
- Needs testing :)
------------------------------------------------------------------------
r400 | ammo | 2007-12-14 09:24:47 +0000 (Fri, 14 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0: prevent error on logout when a section has no defaults
------------------------------------------------------------------------
r399 | nevcairiel | 2007-12-14 01:39:59 +0000 (Fri, 14 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceAddon-3.0/AceAddon-3.0.lua
   M /branches/Ace3/Beta/AceBucket-3.0/AceBucket-3.0.lua
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/Beta/AceTimer-3.0/AceTimer-3.0.lua
   M /branches/Ace3/Beta/CallbackHandler-1.0/CallbackHandler-1.0.lua

Ace3 - update safecall implementation in all libs
------------------------------------------------------------------------
r398 | nevcairiel | 2007-12-14 00:36:04 +0000 (Fri, 14 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceAddon-3.0/AceAddon-3.0.lua
   M /branches/Ace3/Beta/AceBucket-3.0/AceBucket-3.0.lua
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/Beta/AceTimer-3.0/AceTimer-3.0.lua
   M /branches/Ace3/Beta/CallbackHandler-1.0/CallbackHandler-1.0.lua
   M /branches/Ace3/Beta/tests/AceTimer-3.0-test2.lua

Ace3 - apply the new safecall to all libraries
------------------------------------------------------------------------
r397 | joshborke | 2007-12-13 23:56:07 +0000 (Thu, 13 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/CallbackHandler-1.0/CallbackHandler-1.0.lua

Ace3 - apply ACE-53
------------------------------------------------------------------------
r396 | mikk | 2007-12-13 23:55:25 +0000 (Thu, 13 Dec 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/tests/runall.bat

Ace3 - tests:
- runall.bat: problem with spaces in path to lua exe
------------------------------------------------------------------------
r395 | nevcairiel | 2007-12-13 23:22:19 +0000 (Thu, 13 Dec 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua

Ace3 - AceConfigCmd:
- sort the help display of groups, somewhat inefficient sorting algorithm, if you think you can clean it up, be my guest :P
------------------------------------------------------------------------
r394 | joshborke | 2007-12-13 22:54:06 +0000 (Thu, 13 Dec 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog:
- fix ACE-104
------------------------------------------------------------------------
r393 | nevcairiel | 2007-12-13 22:52:24 +0000 (Thu, 13 Dec 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua

Ace3 - AceConfigCmd:
- ACE-106: parse .plugins too
------------------------------------------------------------------------
r392 | nevcairiel | 2007-12-13 22:31:39 +0000 (Thu, 13 Dec 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua

Ace3 - AceConfigCmd:
- ACE-89: hopefully a 100% fix
------------------------------------------------------------------------
r391 | nevcairiel | 2007-12-13 20:19:47 +0000 (Thu, 13 Dec 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua

Ace3 - AceConfigCmd:
- small fix to inline groups
------------------------------------------------------------------------
r390 | nevcairiel | 2007-12-13 20:03:55 +0000 (Thu, 13 Dec 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceBucket-3.0/AceBucket-3.0.lua
   M /branches/Ace3/Beta/AceComm-3.0/AceComm-3.0.lua
   M /branches/Ace3/Beta/AceConsole-3.0/AceConsole-3.0.lua
   M /branches/Ace3/Beta/AceEvent-3.0/AceEvent-3.0.lua
   M /branches/Ace3/Beta/AceHook-3.0/AceHook-3.0.lua
   M /branches/Ace3/Beta/AceSerializer-3.0/AceSerializer-3.0.lua
   M /branches/Ace3/Beta/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - 
- ACE-102: return the target object in the :Embed function
------------------------------------------------------------------------
r389 | joshborke | 2007-12-13 12:41:17 +0000 (Thu, 13 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - propagate handler down the options for the hidden field
------------------------------------------------------------------------
r388 | nargiddley | 2007-12-12 12:39:17 +0000 (Wed, 12 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Slider.lua

Ace3 - AceGUI: Round value to display on Slider widget instead of truncating it
------------------------------------------------------------------------
r387 | nargiddley | 2007-12-12 11:03:59 +0000 (Wed, 12 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-DropDownGroup.lua

Ace3 - AceGUI: Dropdown group makes sure its dropdown control is shown after aquiring it
------------------------------------------------------------------------
r386 | nargiddley | 2007-12-12 11:02:24 +0000 (Wed, 12 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: Pause layout of containers while adding controls
------------------------------------------------------------------------
r385 | nevcairiel | 2007-12-12 09:26:28 +0000 (Wed, 12 Dec 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceDB-3.0/AceDB-3.0.lua
   A /branches/Ace3/Beta/tests/AceDB-3.0-namespaces.lua

Ace3 - AceDB-3.0
- fix namespace profile handling and add some tests
------------------------------------------------------------------------
r384 | nevcairiel | 2007-12-09 10:24:21 +0000 (Sun, 09 Dec 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfig-3.0.lua

Ace3 - AceConfig:
- allow to pass a table of chat commands to AceConfig-3.0
------------------------------------------------------------------------
r383 | joshborke | 2007-12-08 23:56:00 +0000 (Sat, 08 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3: don't forget to set the handler at the root of the options table in AceConfigDialog
------------------------------------------------------------------------
r382 | nevcairiel | 2007-12-06 23:04:50 +0000 (Thu, 06 Dec 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Beta/AceHook-3.0/AceHook-3.0.lua

Ace3 - AceHook-3.0
- change the failsafe :Hook to pre-hook like the spec states
- resolves ACE-99 too
------------------------------------------------------------------------
r381 | nargiddley | 2007-12-05 05:15:11 +0000 (Wed, 05 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua

Ace3 - AceGUI: Fire OnEnter and OnLeave events for the EditBox widget
------------------------------------------------------------------------
r380 | nevcairiel | 2007-12-04 14:20:30 +0000 (Tue, 04 Dec 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Beta/AceHook-3.0/AceHook-3.0.lua

Ace3 - AceHook-3.0 
- ACE-98: fixed this bug, the securehook was calling the hooked func, we dont want to do that.
- fixed another issue with the failsafe hook, but adds one table creation per call, see ACE-99
------------------------------------------------------------------------
r379 | nargiddley | 2007-12-03 06:20:51 +0000 (Mon, 03 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: Add container parameter to :Open, will fill the given AceGUI container widget with the config instead of creating a frame
------------------------------------------------------------------------
r378 | nevcairiel | 2007-12-02 11:55:01 +0000 (Sun, 02 Dec 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua

Ace3 - AceConfigCmd:
- fix a bug with registering chat commands
------------------------------------------------------------------------
r377 | nargiddley | 2007-12-02 00:46:02 +0000 (Sun, 02 Dec 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua

Ace3 - AceGUI: :SetText(nil) sets to "" instead of erroring for Editbox and Dropdown widgets
------------------------------------------------------------------------
r376 | nevcairiel | 2007-12-01 09:04:51 +0000 (Sat, 01 Dec 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0
- add a check to :RegisterDefaults to not fail if no previous defaults had been set
------------------------------------------------------------------------
r375 | nevcairiel | 2007-11-30 19:37:05 +0000 (Fri, 30 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/tests/check_globals.sh

Ace3 - tests:
- and set it to executable
------------------------------------------------------------------------
r374 | nevcairiel | 2007-11-30 19:36:28 +0000 (Fri, 30 Nov 2007) | 2 lines
Changed paths:
   A /branches/Ace3/Beta/tests/check_globals.sh

Ace3 - tests:
- added script to check for globals
------------------------------------------------------------------------
r373 | ammo | 2007-11-30 15:56:45 +0000 (Fri, 30 Nov 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3 - AceGUI-3.0: kill a global in TreeGroup
------------------------------------------------------------------------
r372 | ammo | 2007-11-30 15:45:39 +0000 (Fri, 30 Nov 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/Ace3.toc

Ace3 - add license to .toc
------------------------------------------------------------------------
r371 | ammo | 2007-11-30 15:39:13 +0000 (Fri, 30 Nov 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - AceAddon-3.0: another global is bloody paste on the wall
------------------------------------------------------------------------
r370 | ammo | 2007-11-30 15:05:56 +0000 (Fri, 30 Nov 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - AceAddon-3.0: kill a few global functions
------------------------------------------------------------------------
r369 | pastamancer | 2007-11-29 18:25:41 +0000 (Thu, 29 Nov 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Beta/AceComm-3.0/AceComm-3.0.lua

Ace3:
* AceComm-3.0 - move magic numbers to top of file and refer to them by variable name.  also clarified OnEvent.

------------------------------------------------------------------------
r368 | pastamancer | 2007-11-29 17:55:59 +0000 (Thu, 29 Nov 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Beta/AceComm-3.0/AceComm-3.0.lua

Ace3:
* AceComm-3.0 - prio is guaranteed to be set in SendCommMessage, no need for 'prio or "NORMAL"' in calls to CTL:SendAddonMessage.

------------------------------------------------------------------------
r367 | ammo | 2007-11-29 14:15:08 +0000 (Thu, 29 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceBucket-3.0/AceBucket-3.0.lua

Ace3 - AceBucket-3.0:
- add missing do
------------------------------------------------------------------------
r366 | ammo | 2007-11-29 14:11:41 +0000 (Thu, 29 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - AceAddon-3.0:
- Fix 2 errors addon -> self
------------------------------------------------------------------------
r365 | ammo | 2007-11-29 14:05:12 +0000 (Thu, 29 Nov 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Beta/AceBucket-3.0/AceBucket-3.0.lua
   M /branches/Ace3/Beta/docs/AceBucket-3.0.txt

Ace3 - AceBucket-3.0:
- Add :UnregisterAllBuckets()
- make sure this is called automatically from :OnEmbedDisable
- Update documentation to reflect changes.
------------------------------------------------------------------------
r364 | mikk | 2007-11-29 12:29:28 +0000 (Thu, 29 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - AceTimer:
- ACE-95: Fix bucket indexes to be 1-based rather than 0-based for speed.
------------------------------------------------------------------------
r363 | ammo | 2007-11-29 11:58:11 +0000 (Thu, 29 Nov 2007) | 1 line
Changed paths:
   A /branches/Ace3/Beta/docs/AceBucket-3.0.txt

Ace3 - add AceBucket-3.0 docs, which makes it clear it's missing the UnregisterAll* methods. Somehow that slipped through...
------------------------------------------------------------------------
r362 | mikk | 2007-11-28 12:48:00 +0000 (Wed, 28 Nov 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Beta/AceTimer-3.0/AceTimer-3.0.lua
   M /branches/Ace3/Beta/tests/AceTimer-3.0-test2.lua

Ace3 - AceTimer:
- Check CancelTimer() is given a string (would have protected andreasg in his agUF wrapper snafu)
- Fiddle error messages a little

------------------------------------------------------------------------
r361 | mikk | 2007-11-28 12:06:31 +0000 (Wed, 28 Nov 2007) | 7 lines
Changed paths:
   A /branches/Ace3/Beta/split.bat
   A /branches/Ace3/Beta/unsplit.bat

Ace3:
Add split.bat & unsplit.bat:
- Takes all sublibraries and moves them out to separate addons.
- Constructs dummy toc files for them.
- Ace3 addon itself (slashcommands) doesn't load properly. I cba to fix right now.


------------------------------------------------------------------------
r360 | mikk | 2007-11-27 17:06:53 +0000 (Tue, 27 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/docs/AceConsole-3.0.txt

Ace3 - docs:
- AceConsole:GetArgs(): Explain the 1e9 bit better
------------------------------------------------------------------------
r359 | mikk | 2007-11-27 16:28:25 +0000 (Tue, 27 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/docs
   M /branches/Ace3/Beta/docs/AceConsole-3.0.txt

Ace3 - docs:
- Explain AceConsole:GetArgs better
------------------------------------------------------------------------
r358 | ammo | 2007-11-27 13:04:45 +0000 (Tue, 27 Nov 2007) | 1 line
Changed paths:
   A /branches/Ace3/Beta/docs/AceConsole-3.0.txt

Ace3 - add AceConsole-3.0 basic API docs. Mikk has a FIXME at the bottom :p
------------------------------------------------------------------------
r357 | nevcairiel | 2007-11-27 10:06:47 +0000 (Tue, 27 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - AceTimer-3.0 
- some cleanup and style
------------------------------------------------------------------------
r356 | mikk | 2007-11-27 09:56:32 +0000 (Tue, 27 Nov 2007) | 5 lines
Changed paths:
   M /branches/Ace3/Beta/AceTimer-3.0/AceTimer-3.0.lua
   M /branches/Ace3/Beta/tests/AceTimer-3.0-test1.lua

Ace3 - AceTimer:
- Change timer buckets from handle-keyed tables to linked lists. 
  This fixes ACE-90 - there are no tables that can grow.
  Also fixes ACE-92 - we no longer iterate over a table, so it can't go wrong.
- Also stop composting, we only store the single most-recently removed timer, which is plenty for our purposes.
------------------------------------------------------------------------
r355 | nargiddley | 2007-11-27 06:24:44 +0000 (Tue, 27 Nov 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-DropDownGroup.lua

Ace3 - AceGUI: Set the Parent of the Dropdown control in the DropdownGroup properly
------------------------------------------------------------------------
r354 | mikk | 2007-11-27 02:03:52 +0000 (Tue, 27 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigRegistry-3.0/AceConfigRegistry-3.0.lua

Ace3 - AceConfigRegistry:
- ACE-88: Add "guiInline" to validator
------------------------------------------------------------------------
r353 | ammo | 2007-11-26 15:47:15 +0000 (Mon, 26 Nov 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceAddon-3.0/AceAddon-3.0.lua
   M /branches/Ace3/Beta/docs/AceAddon-3.0.txt

Ace3 - AceAddon-3.0: API consistency polishing
------------------------------------------------------------------------
r352 | ammo | 2007-11-26 10:22:52 +0000 (Mon, 26 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceBucket-3.0/AceBucket-3.0.lua

Ace3 - AceBucket-3.0:
ACE-93 - Fix typo buckts->buckets
------------------------------------------------------------------------
r351 | ammo | 2007-11-26 09:34:18 +0000 (Mon, 26 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - AceAddon-3.0:
ACE-91 - fix loading modules in OnInit causing multiple Oninits to fire. Thanks Nymbia
------------------------------------------------------------------------
r350 | ammo | 2007-11-25 17:23:53 +0000 (Sun, 25 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceAddon-3.0/AceAddon-3.0.lua
   M /branches/Ace3/Beta/docs/AceAddon-3.0.txt

AceAddon-3.0: add :IsEnabled() to addon object API

------------------------------------------------------------------------
r349 | nevcairiel | 2007-11-21 14:58:07 +0000 (Wed, 21 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0
- ACE-87 - validate the used datatypes in the defaults table and error if its invalid syntax
------------------------------------------------------------------------
r348 | joshborke | 2007-11-21 14:41:51 +0000 (Wed, 21 Nov 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0: because our realm,char, class, race, faction never change
------------------------------------------------------------------------
r347 | nargiddley | 2007-11-21 07:53:15 +0000 (Wed, 21 Nov 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/tests/AceGUITest/test.lua

Ace3 - AceGUITest: Test Config table now passes validation
------------------------------------------------------------------------
r346 | nargiddley | 2007-11-21 07:52:50 +0000 (Wed, 21 Nov 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigRegistry-3.0/AceConfigRegistry-3.0.lua

Ace3 - AceConfig:
Corrections to validator:
- "func" can be inherited
- get/set/func can all be set to false to prevent inheritance
------------------------------------------------------------------------
r345 | nevcairiel | 2007-11-20 19:54:18 +0000 (Tue, 20 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/docs/AceDB-3.0.txt

Ace3 - docs
- touch DB doc
------------------------------------------------------------------------
r344 | kaelten | 2007-11-20 05:33:56 +0000 (Tue, 20 Nov 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/LICENSE.txt

Ace3: Updated license to prohibit un authorized standalone redistribution.
------------------------------------------------------------------------
r343 | mikk | 2007-11-19 21:15:43 +0000 (Mon, 19 Nov 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigRegistry-3.0/AceConfigRegistry-3.0.lua
   A /branches/Ace3/Beta/tests/AceConfigRegisty-3.0-errors.lua

Ace3 - AceConfigRegistry:
ACE-62: Added mindless options table validator. It is automatically run on the first fetch of an options table for a given UI type (i.e. each table is checked once for "cmd", once for "dialog", etc)

------------------------------------------------------------------------
r342 | nevcairiel | 2007-11-19 11:09:47 +0000 (Mon, 19 Nov 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceDB-3.0/AceDB-3.0.lua
   A /branches/Ace3/Beta/docs/AceDB-3.0.txt

Ace3 - add AceDB docs, still needs docs for the defaults format
------------------------------------------------------------------------
r341 | nargiddley | 2007-11-19 10:04:40 +0000 (Mon, 19 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceConfigDialog: Validate .pattern for type='input'
AceGUI: fix flow layout treating the first control as row height instead of the biggest control
------------------------------------------------------------------------
r340 | ammo | 2007-11-19 09:48:54 +0000 (Mon, 19 Nov 2007) | 1 line
Changed paths:
   A /branches/Ace3/Beta/docs/AceSerializer-3.0.txt

Ace3 - AceSerializer-3.0: what's up doc?
------------------------------------------------------------------------
r339 | ammo | 2007-11-19 09:36:28 +0000 (Mon, 19 Nov 2007) | 2 lines
Changed paths:
   A /branches/Ace3/Beta/docs/AceLocale-3.0.txt

Ace3 - Docs: one doc a day keeps the doc away :)
- Added AceLocale-3.0 first draft documentation
------------------------------------------------------------------------
r338 | mikk | 2007-11-18 19:26:13 +0000 (Sun, 18 Nov 2007) | 6 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfig-3.0.lua
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua

Ace3 - AceConfig:
- Move chat command creation from AceConfig to AceConfigCmd:CreateChatCommand(). (AceConfig will call this on its own if we use the AceConfig shorthand)
- VERY VERY simply help output added to AceConfigCmd
- Get rid of hard dependency on AceConsole in AceConfigCmd. It is now only required if you use :CreateChatCommand, and then it's LoD.
- ACE-60: Will now NOT support confirm in AceConfigCmd.

------------------------------------------------------------------------
r337 | mikk | 2007-11-18 17:09:00 +0000 (Sun, 18 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigRegistry-3.0/AceConfigRegistry-3.0.lua
   M /branches/Ace3/Beta/tests/AceConfigCmd-3.0.lua

Ace3 - AceConfig:
- ACE-86: AceConfigRegistry:GetOptionsTable() will now optionally take uiType&uiName parameters and immediately return the options table.
------------------------------------------------------------------------
r336 | ammo | 2007-11-18 15:51:33 +0000 (Sun, 18 Nov 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceAddon-3.0/AceAddon-3.0.lua
   M /branches/Ace3/Beta/docs/AceAddon-3.0.txt

Ace3 - AceAddon-3.0: add module enabling disabling functionality
------------------------------------------------------------------------
r335 | nargiddley | 2007-11-17 22:00:27 +0000 (Sat, 17 Nov 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfig: AceConfigDialog: Fix Tree groups with children not scrolling
------------------------------------------------------------------------
r334 | nargiddley | 2007-11-17 09:29:56 +0000 (Sat, 17 Nov 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-InlineGroup.lua

Ace3 - AceGUI: Attempt to fix gaps left in layout by inline groups
------------------------------------------------------------------------
r333 | nargiddley | 2007-11-17 09:08:33 +0000 (Sat, 17 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua

Ace3 - AceGUI: More 2.3 Editbox goodness
- Fix frame flickering when options are chosen
------------------------------------------------------------------------
r332 | ammo | 2007-11-16 20:04:37 +0000 (Fri, 16 Nov 2007) | 2 lines
Changed paths:
   A /branches/Ace3/Beta/docs/AceEvent-3.0.txt

Ace3: Add first draft of AceEvent-3.0 documentation

------------------------------------------------------------------------
r331 | ammo | 2007-11-16 19:50:11 +0000 (Fri, 16 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/docs/AceAddon-3.0.txt

Ace3: update AceAddon-3.0 docs to Beta

------------------------------------------------------------------------
r330 | mikk | 2007-11-16 03:50:20 +0000 (Fri, 16 Nov 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Beta/AceSerializer-3.0/AceSerializer-3.0.lua
   M /branches/Ace3/Beta/tests/AceSerializer-3.0.lua

Ace3 - AceSerializer:
- Catch an error situation with deserializing broken tables (data prematurely terminated). Add tests.
- Much more comments.

------------------------------------------------------------------------
r329 | mikk | 2007-11-15 18:34:03 +0000 (Thu, 15 Nov 2007) | 4 lines
Changed paths:
   A /branches/Ace3/Beta/AceSerializer-3.0
   A /branches/Ace3/Beta/AceSerializer-3.0/AceSerializer-3.0.lua
   A /branches/Ace3/Beta/AceSerializer-3.0/AceSerializer-3.0.xml
   A /branches/Ace3/Beta/tests/AceSerializer-3.0.lua

Ace3 - AceSerializer:
- First implementation + tests. Believed to be feature complete.
Handles serialization of strings, numbers, booleans, nils and tables, including nested tables, tables as keys, etc. No automagic backreferencing of tables however.

------------------------------------------------------------------------
r328 | nargiddley | 2007-11-14 10:06:15 +0000 (Wed, 14 Nov 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-ScrollFrame.lua

Ace3 - AceGUI: Begone Ugly EditBox hacks
------------------------------------------------------------------------
r327 | funkydude | 2007-11-13 16:48:38 +0000 (Tue, 13 Nov 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/Ace3.toc

Ace3 - bump toc
------------------------------------------------------------------------
r326 | mikk | 2007-11-12 17:37:39 +0000 (Mon, 12 Nov 2007) | 3 lines
Changed paths:
   D /branches/Ace3/Beta/MikkTimer

Ace3:
- Delete MikkTimer. It lives on in the old alpha tag.

------------------------------------------------------------------------
r325 | mikk | 2007-11-12 17:15:56 +0000 (Mon, 12 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceComm-3.0/AceComm-3.0.lua
   M /branches/Ace3/Beta/AceEvent-3.0/AceEvent-3.0.lua
   M /branches/Ace3/Beta/CallbackHandler-1.0/CallbackHandler-1.0.lua
   M /branches/Ace3/Beta/tests/AceComm-3.0.lua
   M /branches/Ace3/Beta/tests/CallbackHandler-1.0.lua

Ace3 - ACE-80:
- CallbackHandler's OnUsed/OnUnused callbacks are now always done on registry.OnUsed / registry.OnUnused (if they exist). This solves the upgrade path problem of function references given in :New() not being replaceable.
------------------------------------------------------------------------
r324 | mikk | 2007-11-12 17:06:29 +0000 (Mon, 12 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/tests/AceConfigCmd-3.0.lua

Ace3 - tests:
- AceConfigCmd test up-to-date with spec again ("slash" uiType replaced with "cmd")
------------------------------------------------------------------------
r323 | mikk | 2007-11-12 16:04:41 +0000 (Mon, 12 Nov 2007) | 7 lines
Changed paths:
   M /branches/Ace3/Beta/AceComm-3.0/AceComm-3.0.lua
   M /branches/Ace3/Beta/AceComm-3.0/ChatThrottleLib.lua
   M /branches/Ace3/Beta/tests
   M /branches/Ace3/Beta/tests/AceComm-3.0.lua

Ace3 - AceComm:
- ACE-82: Change part indicator to single byte (\001, \002 and \003)
- ACE-81: v19 of CTL now has an optional "queueName" parameter that allows us to assure sequence of delivery for parts.
- Test: Test now actually does something meaningful; previous test did nothing at all since it didn't pump any OnUpdates. (Zero messages were actually delivered to the receiver)
- Multipart message reassembler will now switch to table.concat for messages split into 3 or more parts to produce less garbage.
- Major reshuffle & reformat to make AceComm a bit more in line with other ace libs.

------------------------------------------------------------------------
r322 | funkydude | 2007-11-10 03:15:47 +0000 (Sat, 10 Nov 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfig-3.0.xml

Ace3 - AceConfig: Comment out dropdown since it doesn't exist yet, prevent framexml error.
------------------------------------------------------------------------
r321 | nargiddley | 2007-11-10 02:06:37 +0000 (Sat, 10 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-TabGroup.lua

Ace3 - AceGUI: Add Widget Base functions to upgrade path
AceConfigDialog: Don't try to select non-existant tabs
------------------------------------------------------------------------
r320 | mikk | 2007-11-09 16:20:24 +0000 (Fri, 09 Nov 2007) | 6 lines
Changed paths:
   M /branches/Ace3/Beta/tests/wow_api.lua

Ace3 - tests:
wow_api.lua bench fixes/additions:
- Add GetFrameRate() - always returns 60
- Make hooksecurefunc() actually return the ORIGINAL return values, not those of the hook
- Also set _G.arg1..argn in events
- Also set _G.arg1 in OnUpdates
------------------------------------------------------------------------
r319 | ammo | 2007-11-07 12:07:32 +0000 (Wed, 07 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Frame.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Heading.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Keybinding.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Slider.lua

Ace3 - AceGUI-3.0:
* some more various tweaks and cleanups on a couple of widgets
------------------------------------------------------------------------
r318 | ammo | 2007-11-07 11:42:23 +0000 (Wed, 07 Nov 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Button.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-CheckBox.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-ColorPicker.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua

Ace3 - AceGUI-3.0:
* cleanups and tweaks in a few of the widgets

------------------------------------------------------------------------
r317 | ammo | 2007-11-07 11:30:20 +0000 (Wed, 07 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Button.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-CheckBox.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-ColorPicker.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-DropDownGroup.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Frame.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Heading.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-InlineGroup.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Keybinding.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-ScrollFrame.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-Slider.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-TabGroup.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3 - AceGUI-3.0:
* Remove unused elements from files.
------------------------------------------------------------------------
r316 | ammo | 2007-11-07 11:13:01 +0000 (Wed, 07 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI-3.0:
- change safecall to check for func and adjust all conditional function calls to use safecall
------------------------------------------------------------------------
r315 | pastamancer | 2007-11-05 17:02:31 +0000 (Mon, 05 Nov 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Beta/AceComm-3.0/AceComm-3.0.lua

Ace3:
 * AceComm-3.0: added error messages to assertions in SendCommMessage.

------------------------------------------------------------------------
r314 | pastamancer | 2007-11-05 16:11:33 +0000 (Mon, 05 Nov 2007) | 5 lines
Changed paths:
   M /branches/Ace3/Beta/AceComm-3.0/AceComm-3.0.lua

Ace3:
* AceComm-3.0
   - ignore out-of-sequence data.
   - re-added error since it's not reached unless self.__prefixes has bad data.

------------------------------------------------------------------------
r313 | mikk | 2007-11-05 15:30:48 +0000 (Mon, 05 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceComm-3.0/AceComm-3.0.lua

Ace3 - AceComm:
- Remove error() on data received from outside sources
------------------------------------------------------------------------
r312 | wobin | 2007-11-04 12:51:00 +0000 (Sun, 04 Nov 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceAddon-3.0/AceAddon-3.0.lua

AceAddon-3.0: Fixed typo
------------------------------------------------------------------------
r311 | nargiddley | 2007-11-04 01:07:56 +0000 (Sun, 04 Nov 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua
   M /branches/Ace3/Beta/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3 - AceGUI: Fix upgrade path for recycling functions, Add seperate recycling to TreeGroup control
------------------------------------------------------------------------
r310 | mikk | 2007-11-03 17:49:47 +0000 (Sat, 03 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua
   M /branches/Ace3/Beta/AceConfig-3.0/AceConfigRegistry-3.0/AceConfigRegistry-3.0.lua

Ace3 - AceConfig:
- Change "slash" type to "cmd" in AceConfigRegistry to match nomenclature used elsewhere.
------------------------------------------------------------------------
r309 | funkydude | 2007-11-02 20:06:34 +0000 (Fri, 02 Nov 2007) | 1 line
Changed paths:
   M /branches/Ace3/Beta/tests/runall.sh

Ace3 - set svn:executable
------------------------------------------------------------------------
r307 | kaelten | 2007-11-02 16:38:05 +0000 (Fri, 02 Nov 2007) | 1 line
Changed paths:
   A /branches/Ace3/Beta (from /branches/Ace3/Alpha:306)

Ace3: A new copy for beta development
------------------------------------------------------------------------
r304 | ammo | 2007-11-02 15:53:07 +0000 (Fri, 02 Nov 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.xml
   A /branches/Ace3/Alpha/AceGUI-3.0/widgets
   A /branches/Ace3/Alpha/AceGUI-3.0/widgets/AceGUIWidget-Button.lua
   A /branches/Ace3/Alpha/AceGUI-3.0/widgets/AceGUIWidget-CheckBox.lua
   A /branches/Ace3/Alpha/AceGUI-3.0/widgets/AceGUIWidget-ColorPicker.lua
   A /branches/Ace3/Alpha/AceGUI-3.0/widgets/AceGUIWidget-DropDown.lua
   A /branches/Ace3/Alpha/AceGUI-3.0/widgets/AceGUIWidget-DropDownGroup.lua
   A /branches/Ace3/Alpha/AceGUI-3.0/widgets/AceGUIWidget-EditBox.lua
   A /branches/Ace3/Alpha/AceGUI-3.0/widgets/AceGUIWidget-Frame.lua
   A /branches/Ace3/Alpha/AceGUI-3.0/widgets/AceGUIWidget-Heading.lua
   A /branches/Ace3/Alpha/AceGUI-3.0/widgets/AceGUIWidget-InlineGroup.lua
   A /branches/Ace3/Alpha/AceGUI-3.0/widgets/AceGUIWidget-Keybinding.lua
   A /branches/Ace3/Alpha/AceGUI-3.0/widgets/AceGUIWidget-ScrollFrame.lua
   A /branches/Ace3/Alpha/AceGUI-3.0/widgets/AceGUIWidget-Slider.lua
   A /branches/Ace3/Alpha/AceGUI-3.0/widgets/AceGUIWidget-TabGroup.lua
   A /branches/Ace3/Alpha/AceGUI-3.0/widgets/AceGUIWidget-TreeGroup.lua

Ace3:
- Split off all widgets for AceGUI into separate files

------------------------------------------------------------------------
r303 | nevcairiel | 2007-11-02 13:12:19 +0000 (Fri, 02 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0 
- cleanup and some tweaks
------------------------------------------------------------------------
r302 | nargiddley | 2007-11-02 09:30:44 +0000 (Fri, 02 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceConfigDialog: Colorpicker no longer appears behind the frame
 -  Sliders have an Integrated EditBox for exact values
------------------------------------------------------------------------
r301 | nargiddley | 2007-11-02 08:46:16 +0000 (Fri, 02 Nov 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/tests/AceGUITest/test.lua

AceGUITest: Garbage being created in the test addon makes tracking it in the Libs hard....
------------------------------------------------------------------------
r300 | nargiddley | 2007-11-02 08:44:54 +0000 (Fri, 02 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceConfigDialog: Recycle DropdownGroup tables
AceGUI: Fix Scrollbar handling over refreshes
------------------------------------------------------------------------
r299 | nevcairiel | 2007-11-01 22:28:29 +0000 (Thu, 01 Nov 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0
- some more tweaks
- SVs dont support tables as keys, so we wont either
------------------------------------------------------------------------
r298 | nevcairiel | 2007-11-01 21:44:27 +0000 (Thu, 01 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0 
- small tweak
------------------------------------------------------------------------
r297 | nevcairiel | 2007-11-01 21:31:30 +0000 (Thu, 01 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua
   M /branches/Ace3/Alpha/tests/AceDB-3.0.lua

Ace3 - AceDB-3.0 
- another fix for copying profiles, and a test for that case
------------------------------------------------------------------------
r296 | nevcairiel | 2007-11-01 20:37:48 +0000 (Thu, 01 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0
- fix copyTable utility function
------------------------------------------------------------------------
r295 | nevcairiel | 2007-11-01 19:48:01 +0000 (Thu, 01 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/tests/AceDB-3.0.lua

Ace3 - tests
- add a test for ACE-71
------------------------------------------------------------------------
r294 | nevcairiel | 2007-11-01 19:47:08 +0000 (Thu, 01 Nov 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0
- Fix ACE-71 ( copying a profile over another already exisiting one )
------------------------------------------------------------------------
r293 | ammo | 2007-10-31 15:26:34 +0000 (Wed, 31 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3: AceAddon-3.0 - only table allowed in SetDefaultModulePrototype

------------------------------------------------------------------------
r292 | ammo | 2007-10-31 15:24:43 +0000 (Wed, 31 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3: AceAddon-3.0 - don't have every single addon and module share the same metatable when we use that metatable to inject the moduleprototype as well

------------------------------------------------------------------------
r291 | ammo | 2007-10-31 15:11:03 +0000 (Wed, 31 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3: AceAddon-3.0 - don't trash a possible lib being passed on NewModule

------------------------------------------------------------------------
r290 | nevcairiel | 2007-10-31 15:04:28 +0000 (Wed, 31 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/LICENSE.txt

Ace3 - add some linebreaks to LICENSE.txt for easier reading
------------------------------------------------------------------------
r289 | ammo | 2007-10-31 14:54:37 +0000 (Wed, 31 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3: AceAddon-3.0 - don't recreate the IsModule function for every module

------------------------------------------------------------------------
r288 | ammo | 2007-10-31 14:48:12 +0000 (Wed, 31 Oct 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3: AceAddon-3.0 - rename defaultPrototype stuff to defaultModulePrototype to make it more in line with the other module Set* functions
- Fix bug where the defaultmoduleprototype would not be used when creating a module without a passed moduleprototype but with 1 more libraries

------------------------------------------------------------------------
r287 | kaelten | 2007-10-31 04:31:58 +0000 (Wed, 31 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua
   A /branches/Ace3/Alpha/LICENSE.txt

Added SetDefaultPrototype to AceAddon, I stored the default prototype at self.DefaultPrototype instead of inside the metatable because thats where all the similar metadata is stored.  I have no problem with us moving it to the metatable, but I feel we should be consistant, or at least put some more thoguht into exceptions.  Also added standard BSD license for the time being.  We can alter it later if we decide to
------------------------------------------------------------------------
r286 | mikk | 2007-10-29 18:30:38 +0000 (Mon, 29 Oct 2007) | 8 lines
Changed paths:
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua
   M /branches/Ace3/Alpha/tests/AceTimer-3.0-test1.lua
   M /branches/Ace3/Alpha/tests/AceTimer-3.0-test2.lua
   A /branches/Ace3/Alpha/tests/AceTimer-3.0-test3.lua
   D /branches/Ace3/Alpha/tests/AceTimer-3.0-utils.lua
   M /branches/Ace3/Alpha/tests/wow_api.lua

Ace3 - AceTimer:
- ACE-49: Make sure that AceTimer works with "addonId" as self
- Better error messages
- Get rid of AceTimer-3.0-utils.lua (use "wow_api.lua")
- Add AceTimer-3.0-test3.lua:
  - Tests for self="addonId"
  - Test CancelAllTimers() with all types of selfs
- wow_api.lua: WoWAPI_FireUpdate() now takes an optional integer to control what 'now' is (i.e. what GetTime() returns)
------------------------------------------------------------------------
r285 | mikk | 2007-10-29 16:59:15 +0000 (Mon, 29 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/CallbackHandler-1.0/CallbackHandler-1.0.lua
   M /branches/Ace3/Alpha/tests/CallbackHandler-1.0.lua

Ace3 - CallbackHandler:
- ACE-67: Unregistrations of queued registrations now also works properly. Test added.
------------------------------------------------------------------------
r284 | mikk | 2007-10-29 16:34:08 +0000 (Mon, 29 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/tests/CallbackHandler-1.0.lua

Ace3 - tests:
- I meant ACE-67
------------------------------------------------------------------------
r283 | mikk | 2007-10-29 16:33:17 +0000 (Mon, 29 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/tests/CallbackHandler-1.0.lua

Ace3 - tests:
- The test for recursive recursion in ACE-67
------------------------------------------------------------------------
r282 | mikk | 2007-10-29 16:32:50 +0000 (Mon, 29 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/tests/runall.bat
   M /branches/Ace3/Alpha/tests/runall.sh

Ace3 - tests:
- runall.bat / .sh will now actually run callbackhandler also. (Pattern is now -?.*.lua)
------------------------------------------------------------------------
r281 | mikk | 2007-10-29 16:12:00 +0000 (Mon, 29 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/CallbackHandler-1.0/CallbackHandler-1.0.lua

Ace3 - CallbackHandler:
- ACE-67: Also fix for recursively recursive registrations. (Oargh!!!)
------------------------------------------------------------------------
r280 | mikk | 2007-10-29 15:04:12 +0000 (Mon, 29 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/CallbackHandler-1.0/CallbackHandler-1.0.lua
   M /branches/Ace3/Alpha/tests/CallbackHandler-1.0.lua

Ace3 - CallBackHandler:
- ACE-67: Fix problem with registering more callbacks inside a callback.
------------------------------------------------------------------------
r279 | nevcairiel | 2007-10-28 18:44:34 +0000 (Sun, 28 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua
   M /branches/Ace3/Alpha/tests/AceDB-3.0-defaults.lua

Ace3 - AceDB-3.0
- another fix for ** behaviour
------------------------------------------------------------------------
r278 | nargiddley | 2007-10-28 06:58:04 +0000 (Sun, 28 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceConfigDalog: Clean up Dropdown set/get behaviour
------------------------------------------------------------------------
r277 | nargiddley | 2007-10-28 06:11:15 +0000 (Sun, 28 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI: Fix DropdownGroup not saving status properly
------------------------------------------------------------------------
r276 | nargiddley | 2007-10-28 06:01:36 +0000 (Sun, 28 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceConfigDialog: Select Group works
 - Fix the root group being forced as a tree
------------------------------------------------------------------------
r275 | nevcairiel | 2007-10-27 19:38:43 +0000 (Sat, 27 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/tests/AceDB-3.0-defaults.lua

Ace3 - fix some tests
------------------------------------------------------------------------
r274 | nevcairiel | 2007-10-27 19:06:43 +0000 (Sat, 27 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0
- some commenting changes
------------------------------------------------------------------------
r273 | nevcairiel | 2007-10-27 19:02:05 +0000 (Sat, 27 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua
   M /branches/Ace3/Alpha/tests/AceDB-3.0-defaults.lua

Ace3 - AceDB-3.0
- another fix to the creation of ["*"] subtables
------------------------------------------------------------------------
r272 | nevcairiel | 2007-10-27 18:53:13 +0000 (Sat, 27 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua
   M /branches/Ace3/Alpha/tests/AceDB-3.0-defaults.lua

Ace3 - AceDB-3.0
- ACE-63: fix ** behavior and add tests for that
------------------------------------------------------------------------
r271 | mikk | 2007-10-27 14:12:37 +0000 (Sat, 27 Oct 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfig-3.0.lua

Ace3 - AceConfig:
- Pass "appName" to AceConfigCmd:HandleCommand. Not the options table itself.

------------------------------------------------------------------------
r270 | ag | 2007-10-27 13:53:57 +0000 (Sat, 27 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigRegistry-3.0/AceConfigRegistry-3.0.lua

Ace3 - AceConfigRegistry:
- Set correct arguments to HandleCommand
------------------------------------------------------------------------
r269 | nargiddley | 2007-10-27 12:55:48 +0000 (Sat, 27 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/tests/AceGUITest/test.lua

AceGUITest: Add example of fallback for the custom control
------------------------------------------------------------------------
r268 | nargiddley | 2007-10-27 12:38:02 +0000 (Sat, 27 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/tests/AceGUITest/test.lua

AceGUITest: Proof of concept custom DragTarget control for Items, Spells and Macros
------------------------------------------------------------------------
r267 | nargiddley | 2007-10-27 12:36:10 +0000 (Sat, 27 Oct 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog:
 - Cleanup some typos
 - Experimental support for dlgType
------------------------------------------------------------------------
r266 | hyperactiveChipmunk | 2007-10-27 03:19:55 +0000 (Sat, 27 Oct 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/Ace3.toc

Ace3:
- Put AceTab after AceConsole in Ace3.toc

------------------------------------------------------------------------
r265 | funkydude | 2007-10-25 20:06:57 +0000 (Thu, 25 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/Ace3.toc

Ace3 - remove opt dep
------------------------------------------------------------------------
r264 | pastamancer | 2007-10-25 19:11:09 +0000 (Thu, 25 Oct 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceComm-3.0/AceComm-3.0.xml

Ace3:
- ACE-61: updated xml to include CTL.

------------------------------------------------------------------------
r263 | pastamancer | 2007-10-25 19:08:22 +0000 (Thu, 25 Oct 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceComm-3.0/AceComm-3.0.lua
   A /branches/Ace3/Alpha/AceComm-3.0/ChatThrottleLib.lua
   M /branches/Ace3/Alpha/tests/AceComm-3.0.lua

Ace3:
- ACE-61: now using CTL.

------------------------------------------------------------------------
r262 | pastamancer | 2007-10-25 19:02:36 +0000 (Thu, 25 Oct 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Alpha/tests/wow_api.lua

Ace3:
 fixed frame methods
 added hooksecurefunc emulation

------------------------------------------------------------------------
r261 | mikk | 2007-10-25 14:13:27 +0000 (Thu, 25 Oct 2007) | 6 lines
Changed paths:
   M /branches/Ace3/Alpha/CallbackHandler-1.0/CallbackHandler-1.0.lua
   M /branches/Ace3/Alpha/tests/AceEvent-3.0.lua
   A /branches/Ace3/Alpha/tests/CallbackHandler-1.0.lua

Ace3 - CallbackHandler:
- ACE-50: Add optional argument to CallbackHandler's .RegisterCallback to be passed to callbacks
- Fix a typo in :UnregisterAll() (gosh golly, this was never tested)
- Add a BOATLOAD of tests for AceEvent (and hence CallbackHandler) logic
- Add tests for CallbackHandler's API (not so much for the event driver, since the AceEvent tests test that plenty)

------------------------------------------------------------------------
r260 | mikk | 2007-10-25 13:53:31 +0000 (Thu, 25 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/tests/wow_api.lua

Ace3 - tests:
- The wow_api dump() function will now use format("%q") to quote strings
------------------------------------------------------------------------
r259 | mikk | 2007-10-25 12:30:18 +0000 (Thu, 25 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/tests/runall.sh

Ace3 - tests:
- Whoups, maybe copy over the edited version from my linux box first ...
------------------------------------------------------------------------
r258 | mikk | 2007-10-25 12:25:14 +0000 (Thu, 25 Oct 2007) | 2 lines
Changed paths:
   A /branches/Ace3/Alpha/tests/runall.sh

Ace3 - tests:
- Add "runall.sh" for the "zomg halp halp i cant run .bat" bunch
------------------------------------------------------------------------
r257 | ammo | 2007-10-25 11:26:47 +0000 (Thu, 25 Oct 2007) | 2 lines
Changed paths:
   A /branches/Ace3/Alpha/Ace3.lua
   M /branches/Ace3/Alpha/Ace3.toc

Ace3: add Ace3.lua standalone file, used to put in the handy dev commands etc.

------------------------------------------------------------------------
r256 | ammo | 2007-10-25 09:37:42 +0000 (Thu, 25 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/Ace3.toc

Ace3: nuke X-Embeds line as well

------------------------------------------------------------------------
r255 | ammo | 2007-10-25 09:35:52 +0000 (Thu, 25 Oct 2007) | 2 lines
Changed paths:
   D /branches/Ace3/Alpha/embeds.xml

Ace3: and nuke embeds.xml

------------------------------------------------------------------------
r254 | ammo | 2007-10-25 09:35:33 +0000 (Thu, 25 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/Ace3.toc

Ace3: point toc the correct way as well

------------------------------------------------------------------------
r253 | ammo | 2007-10-25 09:33:29 +0000 (Thu, 25 Oct 2007) | 2 lines
Changed paths:
   D /branches/Ace3/Alpha/LibStub/1.0
   A /branches/Ace3/Alpha/LibStub/LibStub.lua

Ace3: kill extra folder for LibStub

------------------------------------------------------------------------
r252 | nevcairiel | 2007-10-25 08:12:21 +0000 (Thu, 25 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.xml
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.xml
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigRegistry-3.0/AceConfigRegistry-3.0.xml

Ace3 - AceConfig:
- remove LibStub from the .xml files
------------------------------------------------------------------------
r251 | funkydude | 2007-10-25 01:09:44 +0000 (Thu, 25 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/Ace3.toc
   A /branches/Ace3/Alpha/LibStub/1.0
   A /branches/Ace3/Alpha/LibStub/1.0/LibStub.lua

Ace3 - add file
------------------------------------------------------------------------
r250 | funkydude | 2007-10-25 01:07:07 +0000 (Thu, 25 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/LibStub

Ace3 - removed external
------------------------------------------------------------------------
r249 | funkydude | 2007-10-23 23:26:37 +0000 (Tue, 23 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/LibStub

Ace3 - another externals fix
------------------------------------------------------------------------
r248 | funkydude | 2007-10-23 23:09:05 +0000 (Tue, 23 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/LibStub
   M /branches/Ace3/Alpha/embeds.xml

Ace3 - using the tag version instead
------------------------------------------------------------------------
r247 | funkydude | 2007-10-23 22:57:22 +0000 (Tue, 23 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/LibStub

Ace3 - actually point to the LibStub file >.<
------------------------------------------------------------------------
r246 | funkydude | 2007-10-23 22:48:11 +0000 (Tue, 23 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.xml
   M /branches/Ace3/Alpha/AceBucket-3.0/AceBucket-3.0.xml
   M /branches/Ace3/Alpha/AceComm-3.0/AceComm-3.0.xml
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfig-3.0.xml
   M /branches/Ace3/Alpha/AceConsole-3.0/AceConsole-3.0.xml
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.xml
   M /branches/Ace3/Alpha/AceEvent-3.0/AceEvent-3.0.xml
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.xml
   M /branches/Ace3/Alpha/AceHook-3.0/AceHook-3.0.xml
   M /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.xml
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.xml
   M /branches/Ace3/Alpha/CallbackHandler-1.0/CallbackHandler-1.0.xml

Ace3 - Remove LibStub from the xml files since its not placed there.
------------------------------------------------------------------------
r245 | funkydude | 2007-10-23 22:42:32 +0000 (Tue, 23 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/Ace3.toc
   M /branches/Ace3/Alpha/AceAddon-3.0
   M /branches/Ace3/Alpha/AceBucket-3.0
   M /branches/Ace3/Alpha/AceComm-3.0
   M /branches/Ace3/Alpha/AceConfig-3.0
   M /branches/Ace3/Alpha/AceConsole-3.0
   M /branches/Ace3/Alpha/AceDB-3.0
   M /branches/Ace3/Alpha/AceEvent-3.0
   M /branches/Ace3/Alpha/AceGUI-3.0
   M /branches/Ace3/Alpha/AceHook-3.0
   M /branches/Ace3/Alpha/AceLocale-3.0
   M /branches/Ace3/Alpha/AceTimer-3.0
   M /branches/Ace3/Alpha/CallbackHandler-1.0
   A /branches/Ace3/Alpha/LibStub
   A /branches/Ace3/Alpha/embeds.xml

Ace3 - Only have 1 copy of LibStub in the root folder for using Ace3 standalone, when embedding Ace3 or a Library into your addon make sure to also embed libstub.
------------------------------------------------------------------------
r244 | funkydude | 2007-10-23 22:15:40 +0000 (Tue, 23 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0
   M /branches/Ace3/Alpha/AceBucket-3.0
   M /branches/Ace3/Alpha/AceComm-3.0
   M /branches/Ace3/Alpha/AceConfig-3.0
   M /branches/Ace3/Alpha/AceConsole-3.0
   M /branches/Ace3/Alpha/AceDB-3.0
   M /branches/Ace3/Alpha/AceEvent-3.0
   M /branches/Ace3/Alpha/AceGUI-3.0
   M /branches/Ace3/Alpha/AceHook-3.0
   M /branches/Ace3/Alpha/AceLocale-3.0
   M /branches/Ace3/Alpha/AceTimer-3.0
   M /branches/Ace3/Alpha/CallbackHandler-1.0

Ace3 - setup LibStub externals
------------------------------------------------------------------------
r243 | nargiddley | 2007-10-23 09:12:51 +0000 (Tue, 23 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI: Editboxes accept dragged Spells/Items
AceConfigDialog: Close windows when ESC is pressed
------------------------------------------------------------------------
r242 | nargiddley | 2007-10-23 08:03:17 +0000 (Tue, 23 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: Hide tooltips when moving away from controls
------------------------------------------------------------------------
r241 | nargiddley | 2007-10-23 07:30:21 +0000 (Tue, 23 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: Disable treenodes on level 2+ properly
 - Add tooltips on mouseover of controls
------------------------------------------------------------------------
r240 | nargiddley | 2007-10-23 07:15:31 +0000 (Tue, 23 Oct 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI: Reset tabs properly when released
AceConfigDialog: Traverse the tree to find a confirm function
 - Call validate if supplied
------------------------------------------------------------------------
r239 | mikk | 2007-10-22 17:43:17 +0000 (Mon, 22 Oct 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua
   A /branches/Ace3/Alpha/tests/AceConfigCmd-3.0.lua

Ace3 - AceConfigCmd:
- Semi-working now for base types. (not color / keybind)
- Add quite a few tests. Not much nega-testing yet.
------------------------------------------------------------------------
r238 | nargiddley | 2007-10-22 08:34:39 +0000 (Mon, 22 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceConfigDialog: Disabled groups show as disabled in the tree
------------------------------------------------------------------------
r237 | nargiddley | 2007-10-22 06:08:08 +0000 (Mon, 22 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/tests/AceGUITest/test.lua

AceGUITest: Add a test group with more option types
------------------------------------------------------------------------
r236 | nargiddley | 2007-10-22 05:56:54 +0000 (Mon, 22 Oct 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI: Add Keybinding widget
AceConfigDialog:
 - obey step and bigStep properly for range type
 - support type = 'keybinding'
------------------------------------------------------------------------
r235 | nargiddley | 2007-10-22 04:12:35 +0000 (Mon, 22 Oct 2007) | 6 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI: 
 - Add ColorPicker widget
 - Add OnMouseUp Event to Slider widget
AceConfigDialog:
 - Add type = 'color' support
 - Only refresh the window when a slider is released, not when dragged
------------------------------------------------------------------------
r234 | mikk | 2007-10-21 14:29:49 +0000 (Sun, 21 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/tests/AceComm-3.0.lua

Ace3 - tests:
- Make AceComm spew less garbage unless "VERBOSE" is set.
------------------------------------------------------------------------
r233 | ammo | 2007-10-21 14:25:18 +0000 (Sun, 21 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceComm-3.0/AceComm-3.0.lua

Ace3: AceComm is not AceEvent
------------------------------------------------------------------------
r232 | ammo | 2007-10-21 14:23:40 +0000 (Sun, 21 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/Ace3.toc
   M /branches/Ace3/Alpha/AceComm-3.0/AceComm-3.0.lua
   A /branches/Ace3/Alpha/AceComm-3.0/AceComm-3.0.xml

Ace3: Fix AceComm-3.0 with a .xml and add to .toc
------------------------------------------------------------------------
r231 | ammo | 2007-10-21 14:12:02 +0000 (Sun, 21 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/Ace3.toc

Ace3: load whole config-3.0 in one go instead of all separate
------------------------------------------------------------------------
r230 | mikk | 2007-10-21 12:09:14 +0000 (Sun, 21 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConsole-3.0/AceConsole-3.0.lua
   M /branches/Ace3/Alpha/tests/AceConsole-3.0-GetArgs.lua

Ace3 - AceConsole:
- Change "end of string" indicator position from 1e99 to 1e9. It turns out that substr("hi",1e99) returns "hi" rather than "". Doh.
------------------------------------------------------------------------
r229 | nargiddley | 2007-10-21 12:01:30 +0000 (Sun, 21 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI: Checkbox labels no longer extend outside the control
AceConfigDialog: fix multiselect group not being full width
------------------------------------------------------------------------
r228 | nargiddley | 2007-10-21 11:37:57 +0000 (Sun, 21 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog:
- input controls properly call their set function
------------------------------------------------------------------------
r227 | nargiddley | 2007-10-21 11:21:36 +0000 (Sun, 21 Oct 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI: Add :SetDisabled to controls that were missing it
AceConfigDialog: handle hidden when its a function/method
- support disabled for controls
------------------------------------------------------------------------
r226 | nargiddley | 2007-10-21 09:32:50 +0000 (Sun, 21 Oct 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI: Tweak layout code to be consistent over refreshes
AceConfigDialog: Full refresh on each control activation
- type = 'multiselect' support
------------------------------------------------------------------------
r225 | nargiddley | 2007-10-21 06:31:48 +0000 (Sun, 21 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI: Fix dropdowns text not showing when first created
AceConfigDialog: type = 'select' calls set/get functions
------------------------------------------------------------------------
r224 | nargiddley | 2007-10-20 21:39:20 +0000 (Sat, 20 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: Add support for .plugins in a group
------------------------------------------------------------------------
r223 | mikk | 2007-10-20 15:19:34 +0000 (Sat, 20 Oct 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConsole-3.0/AceConsole-3.0.lua

Ace3 - AceConsole:
- Fix error in errormessage
- Add type check for slashcommand string
- Change "persist"'s default to true. I'd rather have my "/addon enable" available when the dev screws up by default I think.
------------------------------------------------------------------------
r222 | mikk | 2007-10-20 14:36:56 +0000 (Sat, 20 Oct 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfig-3.0.lua
   A /branches/Ace3/Alpha/AceConfig-3.0/AceConfig-3.0.xml
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua
   A /branches/Ace3/Alpha/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.xml
   A /branches/Ace3/Alpha/AceConfig-3.0/AceConfigRegistry-3.0/AceConfigRegistry-3.0.xml

Ace3 - AceConfig:
- Added .xmls for everything
- Loads in game. Zomg. (Nah, lots of todo:s left)

------------------------------------------------------------------------
r221 | nargiddley | 2007-10-20 08:01:08 +0000 (Sat, 20 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/tests/AceGUITest/test.lua

Ace3 - AceGUITest: add Baggins config table usable with AceConfigDialog
------------------------------------------------------------------------
r220 | nargiddley | 2007-10-20 07:52:54 +0000 (Sat, 20 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: Remove debug print statement
------------------------------------------------------------------------
r219 | nargiddley | 2007-10-20 07:50:49 +0000 (Sat, 20 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: toggle, input and range types call their set and get functions
------------------------------------------------------------------------
r218 | nargiddley | 2007-10-20 07:17:00 +0000 (Sat, 20 Oct 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog:
- obey hidden, guiHidden, dialogHidden
- order tree and tab groups by their order
------------------------------------------------------------------------
r217 | nargiddley | 2007-10-20 06:59:43 +0000 (Sat, 20 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: Add confirmation support
------------------------------------------------------------------------
r216 | nargiddley | 2007-10-20 05:26:55 +0000 (Sat, 20 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: type='execute' calls its func
- Fix Mouseover status text
------------------------------------------------------------------------
r215 | nargiddley | 2007-10-20 04:02:29 +0000 (Sat, 20 Oct 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - 
AceGUI: Headers look better when they have no text
AceConfigDialog: Feed type='header'
------------------------------------------------------------------------
r214 | nargiddley | 2007-10-20 02:51:47 +0000 (Sat, 20 Oct 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - 
AceGUI: Add status to Tree, Tab and Scroll controls
AceConfigDialog:  - Hold status of group selections and scroll positions through refreshes

------------------------------------------------------------------------
r213 | mikk | 2007-10-19 19:07:49 +0000 (Fri, 19 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceLocale-3.0
   M /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.lua

Ace3 - AceLocale:
- Comments
------------------------------------------------------------------------
r212 | mikk | 2007-10-19 15:48:47 +0000 (Fri, 19 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigCmd-3.0
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua

Ace3 - AceConfigCmd:
- Work in progress.
------------------------------------------------------------------------
r211 | nargiddley | 2007-10-18 09:46:00 +0000 (Thu, 18 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua

Ace3 - AceConfigDialog: Fix Inline Groups
------------------------------------------------------------------------
r210 | nargiddley | 2007-10-18 09:29:06 +0000 (Thu, 18 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI: Add full height control to flow layout
AceConfigDialog: Many improvements to feeding groups, nested select working
------------------------------------------------------------------------
r209 | nargiddley | 2007-10-16 07:57:32 +0000 (Tue, 16 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/Ace3.toc
   A /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.lua
   A /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0/AceConfigDialog-3.0.xml
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceConfigDialog: Initial Commit
 - basic feeding of options tables, non functional controls
------------------------------------------------------------------------
r208 | nargiddley | 2007-10-16 07:54:12 +0000 (Tue, 16 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI: Pass full path when a tree node is selected
------------------------------------------------------------------------
r207 | pastamancer | 2007-10-16 07:21:43 +0000 (Tue, 16 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/tests/wow_api.lua

Add strmatch and SendAddonMessage.
------------------------------------------------------------------------
r206 | pastamancer | 2007-10-16 07:15:40 +0000 (Tue, 16 Oct 2007) | 1 line
Changed paths:
   A /branches/Ace3/Alpha/AceComm-3.0
   A /branches/Ace3/Alpha/AceComm-3.0/AceComm-3.0.lua
   A /branches/Ace3/Alpha/tests/AceComm-3.0.lua

AceComm-3.0 proof-of-concept with tests!
------------------------------------------------------------------------
r205 | nevcairiel | 2007-10-16 07:08:49 +0000 (Tue, 16 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0
- small tweaks
------------------------------------------------------------------------
r204 | nargiddley | 2007-10-15 09:22:57 +0000 (Mon, 15 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/tests/AceGUITest/test.lua

Ace3 - AceGUITest: Update for new Tree format, more tests

------------------------------------------------------------------------
r203 | nargiddley | 2007-10-15 09:19:23 +0000 (Mon, 15 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI: Rework Tree format
------------------------------------------------------------------------
r202 | ammo | 2007-10-11 13:59:15 +0000 (Thu, 11 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.lua

Ace3: AceLocale-3.0 - comment added. Mikk will probably shoot me.
------------------------------------------------------------------------
r201 | mikk | 2007-10-10 17:01:42 +0000 (Wed, 10 Oct 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.lua
   M /branches/Ace3/Alpha/tests/AceLocale-3.0-test2.lua

Ace3 - AceLocale
- Only fire off ONE warning per missing string, seeing the same warning 20 times is pointless
- Add test for that ^

------------------------------------------------------------------------
r200 | hyperactiveChipmunk | 2007-10-10 05:32:28 +0000 (Wed, 10 Oct 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/Ace3.toc

Ace3:
- Add AceTab-3.0 to the .toc

------------------------------------------------------------------------
r199 | kaelten | 2007-10-09 23:30:28 +0000 (Tue, 09 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceHook-3.0/AceHook-3.0.lua

Ace3: Fixed bad check
------------------------------------------------------------------------
r198 | kaelten | 2007-10-09 23:27:44 +0000 (Tue, 09 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceHook-3.0/AceHook-3.0.lua

Ace3: Fixed bad check
------------------------------------------------------------------------
r197 | kaelten | 2007-10-09 23:26:06 +0000 (Tue, 09 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceHook-3.0/AceHook-3.0.lua

Ace3: Fixed typo in AceHook
------------------------------------------------------------------------
r196 | mikk | 2007-10-09 16:38:48 +0000 (Tue, 09 Oct 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.lua

Ace3 - AceLocale
- Move GetLocale call to top of file. Now all we have is a single "or" in NewLocale(). Stop whining.

------------------------------------------------------------------------
r195 | mikk | 2007-10-09 14:22:17 +0000 (Tue, 09 Oct 2007) | 3 lines
Changed paths:
   A /branches/Ace3/Alpha/tests/runall.bat

Ace3 - tests
- Add a "runall.bat" that executes all tests in the folder

------------------------------------------------------------------------
r194 | mikk | 2007-10-09 14:17:15 +0000 (Tue, 09 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/tests/AceTimer-3.0-test1.lua
   M /branches/Ace3/Alpha/tests/AceTimer-3.0-test2.lua

Ace3 - tests
- Fix up AceTimer tests cases after move
------------------------------------------------------------------------
r193 | mikk | 2007-10-09 14:09:42 +0000 (Tue, 09 Oct 2007) | 7 lines
Changed paths:
   M /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.lua

Ace3 - AceLocale
- Fix errors in Kaeltens cleanup
- Restore intended GAME_LOCALE functionality and make more comments about it
RUN THE DAMN TEST CASES PEOPLE, THEY'RE THERE FOR A RESASON!



------------------------------------------------------------------------
r192 | kaelten | 2007-10-09 04:16:56 +0000 (Tue, 09 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceHook-3.0/AceHook-3.0.lua

Ace3: Cleaned up a few comments on Acehook
------------------------------------------------------------------------
r191 | kaelten | 2007-10-09 03:47:00 +0000 (Tue, 09 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceHook-3.0/AceHook-3.0.lua

Ace3: Will no longer error if you unhook a non existant hook
------------------------------------------------------------------------
r190 | kaelten | 2007-10-09 03:18:36 +0000 (Tue, 09 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceEvent-3.0/AceEvent-3.0.lua
   M /branches/Ace3/Alpha/AceHook-3.0/AceHook-3.0.lua

Ace3: Added better error messages and secure checking to AceHook
------------------------------------------------------------------------
r189 | kaelten | 2007-10-09 02:06:20 +0000 (Tue, 09 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.lua

Ace3: Assorted cleanups to AceLocale
------------------------------------------------------------------------
r188 | nevcairiel | 2007-10-08 18:17:37 +0000 (Mon, 08 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/tests/AceDB-3.0-defaults.lua

Ace3(tests) - add a test for ACE-55 to DB-Defaults testing
------------------------------------------------------------------------
r187 | nevcairiel | 2007-10-08 18:16:11 +0000 (Mon, 08 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0
- ACE-55: fix ** behavior with some rawget/set
------------------------------------------------------------------------
r186 | kaelten | 2007-10-07 05:49:06 +0000 (Sun, 07 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceHook-3.0/AceHook-3.0.lua

Ace3: further refactoring of AceHook
------------------------------------------------------------------------
r185 | mikk | 2007-10-07 00:39:22 +0000 (Sun, 07 Oct 2007) | 2 lines
Changed paths:
   A /branches/Ace3/Alpha/AceConfig-3.0/AceConfig-3.0.lua
   A /branches/Ace3/Alpha/AceConfig-3.0/AceConfigCmd-3.0/AceConfigCmd-3.0.lua

Ace3 - AceConfig:
- Non-complete AceConfigCmd for reference
------------------------------------------------------------------------
r184 | kaelten | 2007-10-05 20:26:16 +0000 (Fri, 05 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceHook-3.0/AceHook-3.0.lua

Ace3: Fixed AceHook's criticle path
------------------------------------------------------------------------
r183 | nargiddley | 2007-10-05 11:47:54 +0000 (Fri, 05 Oct 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI:
 - Clear widget callbacks properly on release
 - Some Cleanup
------------------------------------------------------------------------
r182 | nargiddley | 2007-10-04 08:03:55 +0000 (Thu, 04 Oct 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/Alpha/tests/AceGUITest/test.lua

Ace3 - AceGUI:
 - Add Heading widget
 - Update AceGUITest to include Heading
------------------------------------------------------------------------
r181 | nargiddley | 2007-10-04 07:38:25 +0000 (Thu, 04 Oct 2007) | 8 lines
Changed paths:
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI: 
 - Add expand buttons to TreeView
 - TreeView expands on DoubleClick





------------------------------------------------------------------------
r180 | nargiddley | 2007-10-04 00:40:14 +0000 (Thu, 04 Oct 2007) | 5 lines
Changed paths:
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

Ace3 - AceGUI: 
 - Add Slider Widget
 - Add Flow Layout


------------------------------------------------------------------------
r179 | nargiddley | 2007-10-04 00:39:28 +0000 (Thu, 04 Oct 2007) | 5 lines
Changed paths:
   M /branches/Ace3/Alpha/tests/AceGUITest/test.lua

Ace3 - AceGUI: 
 - Add Slider Widget
 - Add Flow Layout
 - Add Slider and Flow Layout to AceGUITest 

------------------------------------------------------------------------
r178 | nargiddley | 2007-10-03 00:20:31 +0000 (Wed, 03 Oct 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua
   M /branches/Ace3/Alpha/tests/AceGUITest/test.lua

Ace3 - AceGUI: 
 - Add TabGroup
 - Layouts inform parents of size
 - Update AceGUITest
------------------------------------------------------------------------
r177 | mikk | 2007-10-02 19:36:04 +0000 (Tue, 02 Oct 2007) | 2 lines
Changed paths:
   A /branches/Ace3/Alpha/AceConfig-3.0/AceConfigCmd-3.0 (from /branches/Ace3/Alpha/AceConfig-3.0/AceConfigSlash-3.0:167)
   D /branches/Ace3/Alpha/AceConfig-3.0/AceConfigSlash-3.0

Ace3 - AceConfig:
- Rename AceConfigSlash to AceConfigCmd for consistency
------------------------------------------------------------------------
r176 | mikk | 2007-10-02 19:24:36 +0000 (Tue, 02 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConsole-3.0/AceConsole-3.0.lua
   M /branches/Ace3/Alpha/tests/AceConsole-3.0-GetArgs.lua

Ace3 - AceConsole
- GetArgs() will now return nextpos after skipping leading spaces.
------------------------------------------------------------------------
r175 | mikk | 2007-10-02 19:12:10 +0000 (Tue, 02 Oct 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConsole-3.0/AceConsole-3.0.lua
   M /branches/Ace3/Alpha/tests/AceConsole-3.0-GetArgs.lua

Ace3 - AceConsole:
- Change GetArgs() so it returns next next position to be scanned at the end, rather than the remainder of string. Less string garbage that way.
- GetArgs() will now always return 1e99 at the end of the string, regardless of trailing space.

------------------------------------------------------------------------
r174 | mikk | 2007-10-02 19:10:42 +0000 (Tue, 02 Oct 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/tests/wow_api.lua

Ace3 - tests
- Add a small dump(...) function that returns a nicely formatted string for debugging purposes

------------------------------------------------------------------------
r173 | nargiddley | 2007-10-02 09:45:48 +0000 (Tue, 02 Oct 2007) | 1 line
Changed paths:
   A /branches/Ace3/Alpha/tests/AceGUITest
   A /branches/Ace3/Alpha/tests/AceGUITest/AceGUITest.toc
   A /branches/Ace3/Alpha/tests/AceGUITest/test.lua

Ace3 - Add AceGUITest
------------------------------------------------------------------------
r172 | ammo | 2007-10-02 09:32:37 +0000 (Tue, 02 Oct 2007) | 5 lines
Changed paths:
   M /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua

AceGUI-3.0:
- Fix upgrade path
- Add local upvalues
- correct styling

------------------------------------------------------------------------
r171 | nargiddley | 2007-10-02 09:21:49 +0000 (Tue, 02 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/Ace3.toc
   A /branches/Ace3/Alpha/AceGUI-3.0
   A /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.lua
   A /branches/Ace3/Alpha/AceGUI-3.0/AceGUI-3.0.xml

Ace3 - Initial Commit of AceGUI-3.0
------------------------------------------------------------------------
r170 | ammo | 2007-10-02 09:20:26 +0000 (Tue, 02 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceHook-3.0/AceHook-3.0.lua

Ace3: AceHook-3.0 - remove unused safecall function and add comment on evil magicks

------------------------------------------------------------------------
r169 | kaelten | 2007-10-02 09:12:26 +0000 (Tue, 02 Oct 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceHook-3.0/AceHook-3.0.lua

Ace3: AceHook 3, failsafe hooks, and lost some weight
------------------------------------------------------------------------
r168 | mikk | 2007-10-01 22:22:36 +0000 (Mon, 01 Oct 2007) | 4 lines
Changed paths:
   A /branches/Ace3/Alpha/AceConfig-3.0/AceConfigRegistry-3.0/AceConfigRegistry-3.0.lua

Ace3 - AceConfigRegistry:
- Conceptually complete. Allows registering options tables, retreiving them by name, and iterating over them.
- Will always return function references that must be called with ('uiType','uiName') to get the options table. Wrappers created internally if a plain table is given when registering.

------------------------------------------------------------------------
r167 | mikk | 2007-10-01 21:35:29 +0000 (Mon, 01 Oct 2007) | 3 lines
Changed paths:
   A /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDialog-3.0 (from /branches/Ace3/Alpha/AceConfigDialog-3.0:166)
   A /branches/Ace3/Alpha/AceConfig-3.0/AceConfigDropdown-3.0 (from /branches/Ace3/Alpha/AceConfigDropdown-3.0:166)
   A /branches/Ace3/Alpha/AceConfig-3.0/AceConfigRegistry-3.0
   A /branches/Ace3/Alpha/AceConfig-3.0/AceConfigSlash-3.0 (from /branches/Ace3/Alpha/AceConfigSlash-3.0:166)
   D /branches/Ace3/Alpha/AceConfigDialog-3.0
   D /branches/Ace3/Alpha/AceConfigDropdown-3.0
   D /branches/Ace3/Alpha/AceConfigSlash-3.0

Ace3 - AceConfig:
- Move all AceConfig subcomponents inside AceConfig. Joe dev doesn't need to know about them.

------------------------------------------------------------------------
r166 | mikk | 2007-10-01 21:27:35 +0000 (Mon, 01 Oct 2007) | 2 lines
Changed paths:
   A /branches/Ace3/Alpha/AceConfig-3.0
   A /branches/Ace3/Alpha/AceConfigDialog-3.0
   A /branches/Ace3/Alpha/AceConfigDropdown-3.0
   A /branches/Ace3/Alpha/AceConfigSlash-3.0

Ace3 - Add AceConfig / AceConfigDropdown / AceConfigSlash / AceConfigDialog

------------------------------------------------------------------------
r165 | nevcairiel | 2007-10-01 13:48:41 +0000 (Mon, 01 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua
   M /branches/Ace3/Alpha/tests/AceDB-3.0-defaults.lua

Ace3 - AceDB-3.0
- fix for non-table * defaults, and tests for that
------------------------------------------------------------------------
r164 | ammo | 2007-10-01 13:46:35 +0000 (Mon, 01 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceBucket-3.0/AceBucket-3.0.lua

Ace3: AceBucket-3.0 - Add a few local upvalues

------------------------------------------------------------------------
r163 | ammo | 2007-10-01 13:25:52 +0000 (Mon, 01 Oct 2007) | 5 lines
Changed paths:
   M /branches/Ace3/Alpha/Ace3.toc
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua
   M /branches/Ace3/Alpha/AceBucket-3.0/AceBucket-3.0.lua
   M /branches/Ace3/Alpha/AceConsole-3.0/AceConsole-3.0.lua
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua
   M /branches/Ace3/Alpha/AceHook-3.0/AceHook-3.0.lua
   M /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.lua
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua
   M /branches/Ace3/Alpha/CallbackHandler-1.0/CallbackHandler-1.0.lua
   M /branches/Ace3/Alpha/docs/AceAddon-3.0.txt

Ace3:
- toc to 20200
- make lib init consistant
- update AceAddon docs

------------------------------------------------------------------------
r162 | ammo | 2007-10-01 13:06:28 +0000 (Mon, 01 Oct 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConsole-3.0/AceConsole-3.0.lua

Ace3: AceConsole-3.0 - bugfix UnregisterChatCommand

------------------------------------------------------------------------
r161 | nevcairiel | 2007-09-29 09:34:34 +0000 (Sat, 29 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0
- some inline comments
------------------------------------------------------------------------
r160 | nevcairiel | 2007-09-28 20:24:21 +0000 (Fri, 28 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua
   M /branches/Ace3/Alpha/AceEvent-3.0/AceEvent-3.0.lua
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - cleanups
------------------------------------------------------------------------
r159 | nevcairiel | 2007-09-28 20:20:16 +0000 (Fri, 28 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.xml
   M /branches/Ace3/Alpha/tests/AceDB-3.0-defaults.lua

Ace3 - AceDB-3.0
- added a simple handler for PLAYER_LOGOUT to clear all defaults, and adjusted test case for that
------------------------------------------------------------------------
r158 | nevcairiel | 2007-09-28 19:47:34 +0000 (Fri, 28 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua
   M /branches/Ace3/Alpha/tests/AceDB-3.0-defaults.lua

Ace3 - AceDB-3.0
- fix for removeDefaults to not remove too much in tables with a [**] field
- add a test for that case
------------------------------------------------------------------------
r157 | nevcairiel | 2007-09-28 18:46:33 +0000 (Fri, 28 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua
   A /branches/Ace3/Alpha/tests/AceDB-3.0-defaults.lua

Ace3 - AceDB-3.0
- rewrote removeDefaults, and added tests for that
------------------------------------------------------------------------
r156 | nevcairiel | 2007-09-28 13:38:21 +0000 (Fri, 28 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0
- fixed ResetDB to not drop callbacks
------------------------------------------------------------------------
r155 | nevcairiel | 2007-09-28 13:37:10 +0000 (Fri, 28 Sep 2007) | 2 lines
Changed paths:
   A /branches/Ace3/Alpha/tests/AceDB-3.0-callbacks.lua
   M /branches/Ace3/Alpha/tests/AceDB-3.0.lua

Ace3(tests):
- added tests for all callback types
------------------------------------------------------------------------
r154 | nevcairiel | 2007-09-28 12:58:03 +0000 (Fri, 28 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0
- use CallbackHandler-1.0 for handling the callbacks
------------------------------------------------------------------------
r153 | ammo | 2007-09-27 11:23:13 +0000 (Thu, 27 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceConsole-3.0/AceConsole-3.0.lua

Ace3: AceConsole-3.0 - remove _ reference
------------------------------------------------------------------------
r152 | ammo | 2007-09-26 12:07:56 +0000 (Wed, 26 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConsole-3.0/AceConsole-3.0.lua
   M /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.lua

Ace3:
- Styling and comment fix in AceLocale-3.0
- Add persist option to RegisterChatCommand in AceConsole, commands that don't persist will be removed upon disable, and enabled upon enable again when AceConsole is used as a mixin
------------------------------------------------------------------------
r151 | mikk | 2007-09-26 02:37:02 +0000 (Wed, 26 Sep 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConsole-3.0/AceConsole-3.0.lua
   A /branches/Ace3/Alpha/tests/AceConsole-3.0-GetArgs.lua

Ace3 - ACE-51
- Added AceConsole:GetArgs() function
- Added test cases

------------------------------------------------------------------------
r150 | mikk | 2007-09-26 00:55:01 +0000 (Wed, 26 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/tests/AceLocale-3.0.lua

Ace3 - AceLocale-3.0.lua tests:
- Remove two asserts that no longer held true with metatable proxies for registering translations

------------------------------------------------------------------------
r149 | mikk | 2007-09-25 18:42:34 +0000 (Tue, 25 Sep 2007) | 6 lines
Changed paths:
   M /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.lua
   A /branches/Ace3/Alpha/tests/AceLocale-3.0-test2.lua

Ace3 - Ace-24
- We now use metatable proxies for write access, since I misunderstood how __newindex works
- Reverted ammo's changes re GAME_LOCALE and changed naming so it's more clear that we're dealing with an override that translators can use to test different locales, not just some cache.
- Added another test suit (-test2)


------------------------------------------------------------------------
r148 | elkano | 2007-09-25 16:14:33 +0000 (Tue, 25 Sep 2007) | 1 line
Changed paths:
   A /branches/Ace3/Alpha/tests/AceLocale-3.0.lua

Ace3 - AceLocale-3.0 - added some test code
------------------------------------------------------------------------
r147 | ammo | 2007-09-25 14:05:24 +0000 (Tue, 25 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.lua

Ace3: AceLocale-3.0 - add silent boolean option to GetLocale. This makes it more consistent with other Get* functions in Ace3
------------------------------------------------------------------------
r146 | ammo | 2007-09-25 13:44:30 +0000 (Tue, 25 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.lua

Ace3: AceLocale-3.0 - only bail out early if we're not registering the default locale.
------------------------------------------------------------------------
r145 | ammo | 2007-09-25 13:39:41 +0000 (Tue, 25 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.lua

Ace3: AceLocale-3.0 - cache the game_locale once, and bail out of NewLocale earlier when trying to register for wrong locales
------------------------------------------------------------------------
r144 | ammo | 2007-09-25 12:35:56 +0000 (Tue, 25 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/Ace3.toc
   M /branches/Ace3/Alpha/AceConsole-3.0/AceConsole-3.0.lua

Ace3: AceConsole-3.0
- Tweak unregistering of chat command
- Add AceConsole to .toc for further testing
------------------------------------------------------------------------
r143 | ammo | 2007-09-25 11:19:10 +0000 (Tue, 25 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConsole-3.0/AceConsole-3.0.lua

Ace3: ACE-30
- better check for AddMessage member
------------------------------------------------------------------------
r142 | mikk | 2007-09-25 11:00:45 +0000 (Tue, 25 Sep 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Alpha/AceConsole-3.0/AceConsole-3.0.lua

Ace3 - ACE-30
- Make :Print() take an optional first argument -- which chatframe to use. (Actually, any table with an .AddMessage member)
- Make :RegisterChatCommand() not error() out. Having an addon go totally broken because of a conflict with another addon seems wrong. Doing geterrorhandler()("warning message") now.

------------------------------------------------------------------------
r141 | ammo | 2007-09-25 10:08:05 +0000 (Tue, 25 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceConsole-3.0/AceConsole-3.0.lua

Ace3: AceConsole-3.0 - Add a TODO comment block with some stuff
------------------------------------------------------------------------
r140 | ammo | 2007-09-25 09:52:58 +0000 (Tue, 25 Sep 2007) | 1 line
Changed paths:
   A /branches/Ace3/Alpha/AceConsole-3.0
   A /branches/Ace3/Alpha/AceConsole-3.0/AceConsole-3.0.lua
   A /branches/Ace3/Alpha/AceConsole-3.0/AceConsole-3.0.xml

Ace3: Add drycoded barebones AceConsole-3.0 implementation to help discussion on the subject
------------------------------------------------------------------------
r139 | nevcairiel | 2007-09-25 09:26:05 +0000 (Tue, 25 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.lua

Ace3 - AceLocale-3.0
- more housekeeping
------------------------------------------------------------------------
r138 | nevcairiel | 2007-09-25 09:19:14 +0000 (Tue, 25 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.lua

Ace3 - AceLocale-3.0
- fixed a typo and some indentation
------------------------------------------------------------------------
r137 | ammo | 2007-09-25 09:18:24 +0000 (Tue, 25 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.lua
   D /branches/Ace3/Alpha/AceTimer-3.0/tests
   A /branches/Ace3/Alpha/tests/AceTimer-3.0-test1.lua
   A /branches/Ace3/Alpha/tests/AceTimer-3.0-test2.lua
   A /branches/Ace3/Alpha/tests/AceTimer-3.0-utils.lua

Ace3:
- Move AceTimer-3.0 tests to the tests folder.
- minor housekeeping in AceLocale-3.0 
------------------------------------------------------------------------
r136 | ammo | 2007-09-25 09:03:29 +0000 (Tue, 25 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.lua

Ace3: AceLocale-3.0 - rename GetCurrentLocale -> GetLocale 
------------------------------------------------------------------------
r135 | ammo | 2007-09-25 08:59:08 +0000 (Tue, 25 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.lua

Ace3: AceLocale-3.0 - Fix styling to be more inline with the other Ace3 libs
------------------------------------------------------------------------
r134 | mikk | 2007-09-25 08:51:51 +0000 (Tue, 25 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.lua

Ace3 - AceLocale
- Rename :RegisterLocale to :NewLocale. Actually rename the function this time and not just change the comment :-P

------------------------------------------------------------------------
r133 | ammo | 2007-09-25 08:45:26 +0000 (Tue, 25 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/Ace3.toc
   A /branches/Ace3/Alpha/CallbackHandler-1.0/CallbackHandler-1.0.xml

Ace3: make callbackhandler use an xml file for inclusion as well
------------------------------------------------------------------------
r132 | ammo | 2007-09-25 08:43:01 +0000 (Tue, 25 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/Ace3.toc
   M /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.lua

Ace3:
- Temporarily add callbackhandler-1.0 to Ace3 toc to make stuff load
- Fix typo's in AceLocale-3.0
------------------------------------------------------------------------
r131 | mikk | 2007-09-24 21:01:43 +0000 (Mon, 24 Sep 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Alpha/CallbackHandler-1.0/CallbackHandler-1.0.lua

Ace3 - ACE-49 / ACE-50
- No longer pass 'self' to raw function refs
- Optional args will come later

------------------------------------------------------------------------
r130 | mikk | 2007-09-21 11:04:56 +0000 (Fri, 21 Sep 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.lua

Ace3 - ACE-24 (AceLocale)
- Remember mappings of locale table -> appname
- Better error message for missing locale table entry

------------------------------------------------------------------------
r129 | mikk | 2007-09-21 10:40:29 +0000 (Fri, 21 Sep 2007) | 6 lines
Changed paths:
   M /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.lua

Ace3 - ACE-24 (AceLocale)
- Bugfixes
- Rename :RegisterLocale to :NewLocale 
- Add a third "isDefault" argument -- allows default locales to be registered at any point, not just first (good for modules!)
100 lines in total now.

------------------------------------------------------------------------
r128 | mikk | 2007-09-20 21:53:13 +0000 (Thu, 20 Sep 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.lua

Ace3 - ACE-24
- enGB, not enEN, duh. not that i know if it's needed.
- use rawset in __newindex handler. ofc.

------------------------------------------------------------------------
r127 | mikk | 2007-09-20 19:22:07 +0000 (Thu, 20 Sep 2007) | 3 lines
Changed paths:
   A /branches/Ace3/Alpha/AceLocale-3.0
   A /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.lua
   A /branches/Ace3/Alpha/AceLocale-3.0/AceLocale-3.0.xml

Ace3 - ACE-24
- First import of proposed AceLocale-3.0 implementation. Drycoded!

------------------------------------------------------------------------
r126 | mikk | 2007-09-15 11:21:00 +0000 (Sat, 15 Sep 2007) | 5 lines
Changed paths:
   M /branches/Ace3/Alpha/AceEvent-3.0/AceEvent-3.0.lua
   D /branches/Ace3/Alpha/AceEvent-3.0-CallbackHandler
   A /branches/Ace3/Alpha/CallbackHandler-1.0
   A /branches/Ace3/Alpha/CallbackHandler-1.0/CallbackHandler-1.0.lua (from /branches/Ace3/Alpha/AceEvent-3.0-CallbackHandler/CallbackHandler-1.0.lua:124)
   M /branches/Ace3/Alpha/tests/AceEvent-3.0.lua
   M /branches/Ace3/Alpha/tests/wow_api.lua

Ace3 - ACE-33
- AceEvent callback internals pulled out to CallbackHandler-1.0 standalone
- Modified AceEvent tests to pull in Callbackhandler also
- Deleted AceEvent-3.0-CallbackHandler test folder

------------------------------------------------------------------------
r125 | nevcairiel | 2007-09-15 10:00:43 +0000 (Sat, 15 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - AceTimer-3.0 
- small tweak
------------------------------------------------------------------------
r124 | ammo | 2007-09-15 08:37:04 +0000 (Sat, 15 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua
   M /branches/Ace3/Alpha/docs/AceAddon-3.0.txt

Ace3: AceAddon-3.0 - fix API inconsistency by addon IterateEmbeds to the addon API

------------------------------------------------------------------------
r123 | mikk | 2007-09-15 07:56:45 +0000 (Sat, 15 Sep 2007) | 6 lines
Changed paths:
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua
   M /branches/Ace3/Alpha/AceTimer-3.0/tests/test1.lua
   A /branches/Ace3/Alpha/AceTimer-3.0/tests/test2.lua

Ace3 - ACE-31, ACE-37
- Use method==nil to indicate canceled timer rather than delay==nil
- Timers are now able to cancel themselves from inside the callback (*slap Nevcairiel*)
- Add test for canceling timer from inside callback
- Add "test2.lua" - test error conditions and error messages

------------------------------------------------------------------------
r122 | cladhaire | 2007-09-14 23:25:36 +0000 (Fri, 14 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua

Ace3: AceDB-39
* Cleaned up comments, and added a TODO: to removeDefaults

------------------------------------------------------------------------
r121 | cladhaire | 2007-09-14 23:19:43 +0000 (Fri, 14 Sep 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua
   M /branches/Ace3/Alpha/tests/AceDB-3.0.lua

Ace3: ACE-39
* Removed the dynamic metatable that hid unaltered ["*"] tables until they were altered due to the fact that table.insert() bypasses the metatable.
* These tables will now need to be cleared in removeDefaults

------------------------------------------------------------------------
r120 | nevcairiel | 2007-09-14 20:34:13 +0000 (Fri, 14 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - AceTimer-3.0
- implement ACE-31
------------------------------------------------------------------------
r119 | ammo | 2007-09-14 14:07:26 +0000 (Fri, 14 Sep 2007) | 2 lines
Changed paths:
   A /branches/Ace3/Alpha/docs
   A /branches/Ace3/Alpha/docs/AceAddon-3.0.txt

Ace3: AceAddon-3.0 - added simple API documentation for AceAddon-3.0 in a docs/ folder

------------------------------------------------------------------------
r118 | joshborke | 2007-09-14 11:42:33 +0000 (Fri, 14 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceEvent-3.0-CallbackHandler/CallbackHandler-1.0.lua

Ace3 - CallbackHandler-1.0.lua: bugfix submitted by Sarana
------------------------------------------------------------------------
r117 | ammo | 2007-09-14 11:11:07 +0000 (Fri, 14 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceEvent-3.0-CallbackHandler/CallbackHandler-1.0.lua

Ace3: CallbackHandler-1.0 - proper select # syntax

------------------------------------------------------------------------
r116 | ammo | 2007-09-14 11:10:07 +0000 (Fri, 14 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceEvent-3.0-CallbackHandler/CallbackHandler-1.0.lua

Ace3: CallbackHandler-1.0 - add missing end, thanks Sarena

------------------------------------------------------------------------
r115 | ammo | 2007-09-14 09:58:56 +0000 (Fri, 14 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/Ace3.toc

Ace3: reference the .xml files in the generic toc instead of the lua

------------------------------------------------------------------------
r114 | nevcairiel | 2007-09-14 08:34:59 +0000 (Fri, 14 Sep 2007) | 2 lines
Changed paths:
   A /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.xml
   A /branches/Ace3/Alpha/AceBucket-3.0/AceBucket-3.0.xml
   A /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.xml
   A /branches/Ace3/Alpha/AceEvent-3.0/AceEvent-3.0.xml
   A /branches/Ace3/Alpha/AceEvent-3.0-CallbackHandler/AceEvent-3.0.xml
   A /branches/Ace3/Alpha/AceHook-3.0/AceHook-3.0.xml
   A /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.xml

Ace3 - ACE-8
- add .xml files
------------------------------------------------------------------------
r113 | mikk | 2007-09-14 07:39:59 +0000 (Fri, 14 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceEvent-3.0-CallbackHandler/AceEvent-3.0.lua
   M /branches/Ace3/Alpha/AceEvent-3.0-CallbackHandler/CallbackHandler-1.0.lua

Ace3 - Set keywords property _right_ this time :P
~lart [Ammo]

------------------------------------------------------------------------
r112 | ammo | 2007-09-13 08:13:02 +0000 (Thu, 13 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceEvent-3.0-CallbackHandler/CallbackHandler-1.0.lua

Ace3: CallbackHandler-1.0 - add Id to svn tags

------------------------------------------------------------------------
r111 | mikk | 2007-09-13 01:59:26 +0000 (Thu, 13 Sep 2007) | 5 lines
Changed paths:
   A /branches/Ace3/Alpha/AceEvent-3.0-CallbackHandler
   A /branches/Ace3/Alpha/AceEvent-3.0-CallbackHandler/AceEvent-3.0.lua
   A /branches/Ace3/Alpha/AceEvent-3.0-CallbackHandler/CallbackHandler-1.0.lua

Ace3 - ACE-33 
PROTOTYPE:
- Split AceEvent into a background library (CallbackHandler-1.0) and AceEvent proper
- This lets other libraries also use CallbackHandler-1.0 to manage their callbacks

------------------------------------------------------------------------
r110 | cladhaire | 2007-09-12 14:03:19 +0000 (Wed, 12 Sep 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua
   M /branches/Ace3/Alpha/tests/AceDB-3.0.lua

Ace3 - ACE-35
- Coded a quick fix for ACE-35.  There is still some inconsistency, and the callback path will need to be mapped out.
- Added tests for the fix

------------------------------------------------------------------------
r109 | cladhaire | 2007-09-12 13:45:32 +0000 (Wed, 12 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua
   M /branches/Ace3/Alpha/tests/serialize.lua

Ace3 - AceDB-3.0
- Added functions to the serializer, as nil values with comments

------------------------------------------------------------------------
r108 | cladhaire | 2007-09-12 13:30:11 +0000 (Wed, 12 Sep 2007) | 5 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua

Ace3 - ACE-25, ACE-26, ACE-34
- Implemented a basic callback system for database messages
- :CopyProfile() will now reset the profile, followed by the copy
- Removed the 'force' argument from :CopyProfile(), no longer needed

------------------------------------------------------------------------
r107 | ammo | 2007-09-11 17:32:10 +0000 (Tue, 11 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3: AceAddon-3.0 - add missing _

------------------------------------------------------------------------
r106 | ammo | 2007-09-11 17:31:40 +0000 (Tue, 11 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3: AceAddon-3.0 - one metatable to rule them all

------------------------------------------------------------------------
r105 | ammo | 2007-09-11 17:25:51 +0000 (Tue, 11 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3: AceAddon-3.0 - preserve the addon metatable when adding the prototype __index for modules

------------------------------------------------------------------------
r104 | ammo | 2007-09-11 17:20:12 +0000 (Tue, 11 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3: AceAddon-3.0 - add __tostring metatable returning the name of the addon.

------------------------------------------------------------------------
r103 | nevcairiel | 2007-09-11 07:06:08 +0000 (Tue, 11 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - cleanup
------------------------------------------------------------------------
r102 | rophy | 2007-09-11 00:42:00 +0000 (Tue, 11 Sep 2007) | 3 lines
Changed paths:
   D /branches/Ace3/Alpha/tests/AceTimer-3.0.lua
   M /branches/Ace3/Alpha/tests/wow_api.lua

Ace3 - tests
- WoWAPI_FireUpdate() calls GetTime() so OnUpdate works in controlled time.
- Removed AceTimer-3.0 test since there has a working one in AceTimer-3.0.
------------------------------------------------------------------------
r101 | rophy | 2007-09-10 23:45:05 +0000 (Mon, 10 Sep 2007) | 4 lines
Changed paths:
   A /branches/Ace3/Alpha/tests/AceTimer-3.0.lua
   M /branches/Ace3/Alpha/tests/wow_api.lua

Ace3 - tests:
- wow_api: added OnUpdate and WoWAPI_FireUpdate()
- added AceTimer-3.0 test.

------------------------------------------------------------------------
r100 | nevcairiel | 2007-09-10 20:57:21 +0000 (Mon, 10 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - AceTimer-3.0
- use the same check used in AceEvent and AceBucket for calling the callback
------------------------------------------------------------------------
r99 | elkano | 2007-09-10 20:45:10 +0000 (Mon, 10 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceEvent-3.0/AceEvent-3.0.lua

Ace3 - AceEvent
- split RegOrUnreg into two functions
- fixed error messages in that functions (since also messages could error)
------------------------------------------------------------------------
r98 | elkano | 2007-09-10 20:40:03 +0000 (Mon, 10 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - AceAddon
don't store return values in module if the function doesn't return anything
------------------------------------------------------------------------
r97 | elkano | 2007-09-10 20:37:36 +0000 (Mon, 10 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - AceTimer
no need to cache newbucket in a var
------------------------------------------------------------------------
r96 | nevcairiel | 2007-09-10 17:44:14 +0000 (Mon, 10 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua

Ace3 - fixed some error messages
------------------------------------------------------------------------
r95 | cladhaire | 2007-09-10 13:54:10 +0000 (Mon, 10 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/tests/AceDB-3.0.lua
   A /branches/Ace3/Alpha/tests/serialize.lua

Ace3 - tests
- Added a quick and dirty serializer for printing tables to stdout or file

------------------------------------------------------------------------
r94 | nevcairiel | 2007-09-10 13:52:03 +0000 (Mon, 10 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua

Ace3 - indentation changes
------------------------------------------------------------------------
r93 | cladhaire | 2007-09-10 13:48:48 +0000 (Mon, 10 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/tests/AceDB-3.0.lua

Ace3 - AceDB
- Added unit tests for the default system, dynamic creation system, and dynamic * and ** sections

------------------------------------------------------------------------
r92 | rophy | 2007-09-10 13:36:41 +0000 (Mon, 10 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/tests/AceAddon-3.0.lua

Ace3 - tests
- AceAddon-3.0 : tiny tweak, test OnDisable(), added TODO.

------------------------------------------------------------------------
r91 | cladhaire | 2007-09-10 13:34:48 +0000 (Mon, 10 Sep 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua
   M /branches/Ace3/Alpha/tests/AceDB-3.0.lua

Ace3: AceDB-3.0
- Fixed a number of drycode errors, now runs properly with api stub
- Added some basic tests to ensure the defaults system works properly

------------------------------------------------------------------------
r90 | nevcairiel | 2007-09-10 13:25:12 +0000 (Mon, 10 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceEvent-3.0/AceEvent-3.0.lua

Ace3 - fixed syntax error
------------------------------------------------------------------------
r89 | cladhaire | 2007-09-10 13:10:35 +0000 (Mon, 10 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB
- Added Id to svn:keywords

------------------------------------------------------------------------
r88 | cladhaire | 2007-09-10 13:09:11 +0000 (Mon, 10 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua

AceDB-3.0 - AceDB
 - Fix AceDB:New() so it won't error if your global table doesn't exist yet

------------------------------------------------------------------------
r87 | rophy | 2007-09-10 13:00:16 +0000 (Mon, 10 Sep 2007) | 1 line
Changed paths:
   A /branches/Ace3/Alpha/tests
   A /branches/Ace3/Alpha/tests/AceAddon-3.0.lua
   A /branches/Ace3/Alpha/tests/AceDB-3.0.lua
   A /branches/Ace3/Alpha/tests/AceEvent-3.0.lua
   A /branches/Ace3/Alpha/tests/LibStub.lua
   A /branches/Ace3/Alpha/tests/wow_api.lua

Ace3 - adding some simple tests as a start.
------------------------------------------------------------------------
r86 | nevcairiel | 2007-09-10 12:44:53 +0000 (Mon, 10 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/Ace3.toc
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua

Ace3 - AceDB-3.0: 
- added support for '**'
- added AceDB-3.0 to the .toc
------------------------------------------------------------------------
r85 | cladhaire | 2007-09-10 12:15:03 +0000 (Mon, 10 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua

Ace3 - ACE-19
- Added some comments to the copyDefaults metatable section, including rationale

------------------------------------------------------------------------
r84 | cladhaire | 2007-09-10 02:54:30 +0000 (Mon, 10 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua

Ace3 - ACE-19
- j/k

------------------------------------------------------------------------
r83 | cladhaire | 2007-09-10 02:51:54 +0000 (Mon, 10 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua

Ace3
- In order to improve efficiency, AceDB is now on a single line, so it is parsed quicker.

------------------------------------------------------------------------
r82 | cladhaire | 2007-09-10 02:34:03 +0000 (Mon, 10 Sep 2007) | 8 lines
Changed paths:
   A /branches/Ace3/Alpha/AceDB-3.0
   A /branches/Ace3/Alpha/AceDB-3.0/AceDB-3.0.lua

Ace3 - ACE-19
- Initial commit of a drycoded AceDB based on the code from DongleDB
- Supports defaults, including ["*"] defaults
- Supports namespaces, tied to the profile of the main database
- All database sections are created on demand, rather than when the database is initialized
- Defaults aren't applied into the table until the section is initialized
- Commited to get multiple eyes on the code, and for discussion

------------------------------------------------------------------------
r81 | elkano | 2007-09-09 20:44:03 +0000 (Sun, 09 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - AceTimer
we shouldn't nil table entries twice, should we?
------------------------------------------------------------------------
r80 | nevcairiel | 2007-09-08 19:00:40 +0000 (Sat, 08 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - revert some changes
------------------------------------------------------------------------
r79 | ammo | 2007-09-07 12:31:21 +0000 (Fri, 07 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/Ace3.toc
   M /branches/Ace3/Alpha/AceHook-3.0/AceHook-3.0.lua

Ace3 - add AceHook-3.0 to the .toc 
------------------------------------------------------------------------
r78 | ammo | 2007-09-07 12:05:43 +0000 (Fri, 07 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceHook-3.0/AceHook-3.0.lua

Ace3 - AceHook-3.0 - Basic rehash of AceHook-2.1 with some code duplication removed. Needs a lot of scrutiny
------------------------------------------------------------------------
r77 | nevcairiel | 2007-09-07 08:29:57 +0000 (Fri, 07 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua
   M /branches/Ace3/Alpha/AceBucket-3.0/AceBucket-3.0.lua
   M /branches/Ace3/Alpha/AceEvent-3.0/AceEvent-3.0.lua
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - change the library init block in anticipation of ACE-14
------------------------------------------------------------------------
r76 | nevcairiel | 2007-09-06 11:30:51 +0000 (Thu, 06 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceBucket-3.0/AceBucket-3.0.lua

Ace3 - text tuning
------------------------------------------------------------------------
r75 | nevcairiel | 2007-09-06 11:27:00 +0000 (Thu, 06 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceBucket-3.0/AceBucket-3.0.lua
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - added error messages to AceTimer and AceBucket, see ACE-13
------------------------------------------------------------------------
r74 | nevcairiel | 2007-09-06 11:03:30 +0000 (Thu, 06 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - typo fix
------------------------------------------------------------------------
r73 | nevcairiel | 2007-09-06 10:57:54 +0000 (Thu, 06 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - small fixes to AceTimer
------------------------------------------------------------------------
r72 | ammo | 2007-09-06 10:54:14 +0000 (Thu, 06 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua
   M /branches/Ace3/Alpha/AceEvent-3.0/AceEvent-3.0.lua

Ace3: ACE-13
- Give AceAddon and AceEvent more elaborative error messages as outlined in jira issue ACE-13

------------------------------------------------------------------------
r71 | nevcairiel | 2007-09-06 08:43:47 +0000 (Thu, 06 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua
   M /branches/Ace3/Alpha/AceEvent-3.0/AceEvent-3.0.lua

Ace3 - 
- reworked some parts of AceAddon-3.0 to be more consistent with the other libraries
- small optimizations to AceEvent-3.0
------------------------------------------------------------------------
r70 | elkano | 2007-09-05 20:11:00 +0000 (Wed, 05 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - AceTimer
- replaced an if by a max and moved it to the for-loop initialization
------------------------------------------------------------------------
r69 | nevcairiel | 2007-09-05 20:02:47 +0000 (Wed, 05 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - AceTimer-3.0 
- get local references to the functions used in OnUpdate to save some cpu cycles
------------------------------------------------------------------------
r68 | nevcairiel | 2007-09-05 16:31:37 +0000 (Wed, 05 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceBucket-3.0/AceBucket-3.0.lua

Ace3 - more bugfixes
------------------------------------------------------------------------
r67 | nevcairiel | 2007-09-05 16:28:56 +0000 (Wed, 05 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceBucket-3.0/AceBucket-3.0.lua

Ace3 - fixed a bug in BucketHandler
------------------------------------------------------------------------
r66 | nevcairiel | 2007-09-05 15:13:31 +0000 (Wed, 05 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceBucket-3.0/AceBucket-3.0.lua

Ace3 - another minor cleanup ( i should bucket my commits )
------------------------------------------------------------------------
r65 | nevcairiel | 2007-09-05 14:16:03 +0000 (Wed, 05 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceBucket-3.0/AceBucket-3.0.lua

Ace3 - small comment changes and cleanups
------------------------------------------------------------------------
r64 | nevcairiel | 2007-09-05 14:13:57 +0000 (Wed, 05 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceBucket-3.0/AceBucket-3.0.lua

Ace3 - change bucket implementation to fire only after the given interval
------------------------------------------------------------------------
r63 | mikk | 2007-09-05 14:08:01 +0000 (Wed, 05 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceBucket-3.0/AceBucket-3.0.lua

Ace3 - AceBucket-3.0
- Add yet another comment about the need for adding new variables OUTSIDE the if clause

------------------------------------------------------------------------
r62 | nevcairiel | 2007-09-05 14:04:06 +0000 (Wed, 05 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceBucket-3.0/AceBucket-3.0.lua

Ace3 - allow lazy binding of AceEvent and AceTimer to compensate for load order issues
------------------------------------------------------------------------
r61 | nevcairiel | 2007-09-05 13:31:19 +0000 (Wed, 05 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceBucket-3.0/AceBucket-3.0.lua

Ace3 - minor optimization
------------------------------------------------------------------------
r60 | nevcairiel | 2007-09-05 13:22:14 +0000 (Wed, 05 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceBucket-3.0/AceBucket-3.0.lua
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - added docs how the bucket implementation works
------------------------------------------------------------------------
r59 | nevcairiel | 2007-09-05 13:11:16 +0000 (Wed, 05 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceBucket-3.0/AceBucket-3.0.lua
   M /branches/Ace3/Alpha/AceHook-3.0/AceHook-3.0.lua
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - some svn stuff, keywords yadayada
------------------------------------------------------------------------
r58 | nevcairiel | 2007-09-05 13:05:18 +0000 (Wed, 05 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceBucket-3.0/AceBucket-3.0.lua

Ace3 - AceBucket-3.0
- added input validation to bucket registering
------------------------------------------------------------------------
r57 | nevcairiel | 2007-09-05 13:02:58 +0000 (Wed, 05 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceEvent-3.0/AceEvent-3.0.lua

Ace3 - AceEvent-3.0
- use correct error level
------------------------------------------------------------------------
r56 | nevcairiel | 2007-09-05 12:50:36 +0000 (Wed, 05 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceBucket-3.0/AceBucket-3.0.lua

Ace3 - AceBucket-3.0
- dont fire empty buckets, just cancel their schedule
- added :UnregisterBucket(handle)
------------------------------------------------------------------------
r55 | nevcairiel | 2007-09-05 12:25:43 +0000 (Wed, 05 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceBucket-3.0/AceBucket-3.0.lua

Ace3 - AceBucket-3.0
- some inline docs
- support for passing a table as event
------------------------------------------------------------------------
r54 | nevcairiel | 2007-09-05 12:16:36 +0000 (Wed, 05 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceBucket-3.0/AceBucket-3.0.lua

Ace3 - optimize bucket handling
------------------------------------------------------------------------
r53 | nevcairiel | 2007-09-05 11:44:21 +0000 (Wed, 05 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/Ace3.toc
   A /branches/Ace3/Alpha/AceBucket-3.0
   A /branches/Ace3/Alpha/AceBucket-3.0/AceBucket-3.0.lua

Ace3 - 
- added first implementation of AceBucket-3.0, still needs alot of polish, but registering buckets works so far
------------------------------------------------------------------------
r52 | mikk | 2007-09-05 10:36:31 +0000 (Wed, 05 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceTimer-3.0/tests
   A /branches/Ace3/Alpha/AceTimer-3.0/tests/test1.lua
   M /branches/Ace3/Alpha/AceTimer-3.0/tests/utils.lua

Ace3 - AceTimer-3.0
- Add Test1: Basic embed, upgrade, start/stop timers (oneshot and repeating)

------------------------------------------------------------------------
r51 | mikk | 2007-09-05 10:34:15 +0000 (Wed, 05 Sep 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - AceTimer-3.0
- Restore maximum frequency to 10/s awaiting proper discussion in Jira (ACE-12)
- Add comment about skipping on :Show()ing and :Hide()ing the frame

------------------------------------------------------------------------
r50 | nevcairiel | 2007-09-05 09:58:55 +0000 (Wed, 05 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - ACE-7
- return timers that get canceld to the cache too
------------------------------------------------------------------------
r49 | nevcairiel | 2007-09-05 09:51:55 +0000 (Wed, 05 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - ACE-7
- added inline table cache
------------------------------------------------------------------------
r48 | nevcairiel | 2007-09-05 09:50:42 +0000 (Wed, 05 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceEvent-3.0/AceEvent-3.0.lua

Ace3 - 
- fixed logic error
------------------------------------------------------------------------
r47 | ammo | 2007-09-05 09:14:58 +0000 (Wed, 05 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceEvent-3.0/AceEvent-3.0.lua

Ace3: AceEvent-3.0 - sanitize Kaelten's magicks with proper error messages

------------------------------------------------------------------------
r46 | nevcairiel | 2007-09-05 09:01:14 +0000 (Wed, 05 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - 
- increase timer resolution to 25 FPS
- more cleanup
------------------------------------------------------------------------
r45 | rophy | 2007-09-05 07:51:02 +0000 (Wed, 05 Sep 2007) | 3 lines
Changed paths:
   A /branches/Ace3/Alpha/benchs
   A /branches/Ace3/Alpha/benchs/Bench-AceTimer-3.0
   A /branches/Ace3/Alpha/benchs/Bench-AceTimer-3.0/Bench-AceTimer-3.0.toc
   A /branches/Ace3/Alpha/benchs/Bench-AceTimer-3.0/bench1.lua

Ace3 - 
- Uploading my in-game bench files for AceTimer-3.0.

------------------------------------------------------------------------
r44 | kaelten | 2007-09-05 07:23:17 +0000 (Wed, 05 Sep 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Alpha/AceEvent-3.0/AceEvent-3.0.lua

Ace3 - ACE-4
- Optimizations for AceEvent-3.0
- Added event as first param passed into the handlers. 

------------------------------------------------------------------------
r43 | nevcairiel | 2007-09-05 07:04:30 +0000 (Wed, 05 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - more cleanup in AceTimer
------------------------------------------------------------------------
r42 | nevcairiel | 2007-09-05 06:57:27 +0000 (Wed, 05 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - potential fix for repeating timers
------------------------------------------------------------------------
r41 | nevcairiel | 2007-09-05 06:21:10 +0000 (Wed, 05 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - 
- some more cleaning here
------------------------------------------------------------------------
r40 | mikk | 2007-09-04 21:41:29 +0000 (Tue, 04 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - AceTimer-3.0.lua
- Try to get Ammo to gripe less about ugly formatting

------------------------------------------------------------------------
r39 | mikk | 2007-09-04 17:57:58 +0000 (Tue, 04 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua
   A /branches/Ace3/Alpha/AceTimer-3.0/tests
   A /branches/Ace3/Alpha/AceTimer-3.0/tests/utils.lua

Ace3 - AceTimer-3.0
- Adding unit test framework

------------------------------------------------------------------------
r38 | mikk | 2007-09-04 17:04:41 +0000 (Tue, 04 Sep 2007) | 5 lines
Changed paths:
   M /branches/Ace3/Alpha/Ace3.toc
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - ACE-7
- Now does embedding



------------------------------------------------------------------------
r37 | mikk | 2007-09-04 15:32:10 +0000 (Tue, 04 Sep 2007) | 5 lines
Changed paths:
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - ACE-7
- Possibly completed and working, but probably not since it's all drycoded.



------------------------------------------------------------------------
r36 | ammo | 2007-09-04 15:20:30 +0000 (Tue, 04 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3: AceAddon-3.0 - Add comment inside safecall for Mikk's sanity and to explain Kaelten's filthy magicks

------------------------------------------------------------------------
r35 | ammo | 2007-09-04 12:26:35 +0000 (Tue, 04 Sep 2007) | 2 lines
Changed paths:
   A /branches/Ace3/Alpha/AceHook-3.0
   A /branches/Ace3/Alpha/AceHook-3.0/AceHook-3.0.lua

Ace3: AceHook-3.0 - Empty outline for discussion purposes

------------------------------------------------------------------------
r34 | ammo | 2007-09-04 09:49:54 +0000 (Tue, 04 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3: AceAddon-3.0 - memory optimiztion for IsModule, add IterateModules to mixin

------------------------------------------------------------------------
r33 | ammo | 2007-09-04 09:28:43 +0000 (Tue, 04 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3: AceAddon-3.0 - only set baseName upon ADDON_LOADED 

------------------------------------------------------------------------
r32 | nevcairiel | 2007-09-04 09:12:09 +0000 (Tue, 04 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - general housekeeping
------------------------------------------------------------------------
r31 | nevcairiel | 2007-09-04 09:06:43 +0000 (Tue, 04 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - store the base addon name (the directory its in) in addon.baseName for metadata retrieval
------------------------------------------------------------------------
r30 | nevcairiel | 2007-09-04 08:33:44 +0000 (Tue, 04 Sep 2007) | 2 lines
Changed paths:
   A /branches/Ace3/Alpha/Ace3.toc

Ace3 - 
- added a .toc for ingame testing
------------------------------------------------------------------------
r29 | mikk | 2007-09-04 03:29:44 +0000 (Tue, 04 Sep 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - ACE-7
- More comments
- Another Elkano optimization

------------------------------------------------------------------------
r28 | mikk | 2007-09-04 02:40:29 +0000 (Tue, 04 Sep 2007) | 5 lines
Changed paths:
   A /branches/Ace3/Alpha/AceTimer-3.0
   A /branches/Ace3/Alpha/AceTimer-3.0/AceTimer-3.0.lua

Ace3 - ACE-7, ACE-1
- Initial check-in of AceTimer-3.0 aka mostly MikkTimer reworked and fixing some border cases (such as >13s lag)
- Made cancelling timers more expensive and the main loop cheaper. Should be a sane trade-off. Thanks Elkano.
- System will no longer attempt to "catch up" on lag bursts but rather just skip pulses for a timer
DRYCODE!
------------------------------------------------------------------------
r27 | joshborke | 2007-09-04 02:14:22 +0000 (Tue, 04 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - fixed some typos, delete trailing whitespace
------------------------------------------------------------------------
r26 | ammo | 2007-09-03 22:39:44 +0000 (Mon, 03 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceEvent-3.0/AceEvent-3.0.lua

Ace3 - AceEvent-3.0: the success variable from pcall is there to check a certain condition, lets use it
------------------------------------------------------------------------
r25 | ammo | 2007-09-03 22:03:28 +0000 (Mon, 03 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - AceAddon-3.0: giving every addon the same table pointers to store modules is bad mojo.
------------------------------------------------------------------------
r24 | ammo | 2007-09-03 21:44:22 +0000 (Mon, 03 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - AceAddon-3.0: remove local for newmodule getmodule since they're already declared local at the top
------------------------------------------------------------------------
r23 | nevcairiel | 2007-09-03 21:39:46 +0000 (Mon, 03 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - 
- fixed a issue in safecall when actually no error appeared
- added some inline docs
------------------------------------------------------------------------
r22 | kaelten | 2007-09-03 21:32:45 +0000 (Mon, 03 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - 
- Added modules iterator
------------------------------------------------------------------------
r21 | nevcairiel | 2007-09-03 21:27:20 +0000 (Mon, 03 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - yaaar! those spaces!
------------------------------------------------------------------------
r20 | ammo | 2007-09-03 21:20:28 +0000 (Mon, 03 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3: AceAddon-3.0 - readability upgrade and bugfix

------------------------------------------------------------------------
r19 | kaelten | 2007-09-03 21:12:36 +0000 (Mon, 03 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - 
- Attempt at handling default states smarter.
------------------------------------------------------------------------
r18 | kaelten | 2007-09-03 16:50:13 +0000 (Mon, 03 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - 
- setting default state and libraries
------------------------------------------------------------------------
r17 | kaelten | 2007-09-03 16:12:16 +0000 (Mon, 03 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua
   D /branches/Ace3/Alpha/AceModuleCore-3.0

Ace3 - 
Cleanup of AceAddon-3.0
Removal of AceModuleCore
------------------------------------------------------------------------
r16 | ammo | 2007-09-03 14:48:30 +0000 (Mon, 03 Sep 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3: AceAddon-3.0
- merge AceModuleCore-3.0 into AceAddon-3.0. It used just about everything from it already.
- functionality remains in tact.

------------------------------------------------------------------------
r15 | mikk | 2007-09-03 14:46:32 +0000 (Mon, 03 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha/AceEvent-3.0/AceEvent-3.0.lua

Ace3 - AceEvent:
- Add comment about new table members having to live outside of if clause

------------------------------------------------------------------------
r14 | ammo | 2007-09-03 10:39:16 +0000 (Mon, 03 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceModuleCore-3.0/AceModuleCore-3.0.lua

Ace3: AceModuleCore-3.0 - Fix upgrading of old embeds

------------------------------------------------------------------------
r13 | ammo | 2007-09-03 10:26:00 +0000 (Mon, 03 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceModuleCore-3.0/AceModuleCore-3.0.lua

Ace3: AceModuleCore-3.0 - cleanup, add OnInit handling, fix typo in NewModule

------------------------------------------------------------------------
r12 | kaelten | 2007-09-03 08:38:16 +0000 (Mon, 03 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceModuleCore-3.0/AceModuleCore-3.0.lua

Ace3 - 
- revamp of ModuleCore
------------------------------------------------------------------------
r11 | ammo | 2007-09-02 20:20:29 +0000 (Sun, 02 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3: AceAddon-3.0 - spaces -> tabs again

------------------------------------------------------------------------
r10 | kaelten | 2007-09-02 18:06:02 +0000 (Sun, 02 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - 
- Added quick and dirty non persistent status of addons.
------------------------------------------------------------------------
r9 | kaelten | 2007-09-02 17:42:04 +0000 (Sun, 02 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - 
- removed a needless check
------------------------------------------------------------------------
r8 | nevcairiel | 2007-09-02 13:21:46 +0000 (Sun, 02 Sep 2007) | 1 line
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - added $Id$ to the file
------------------------------------------------------------------------
r7 | nevcairiel | 2007-09-02 13:02:45 +0000 (Sun, 02 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceEvent-3.0/AceEvent-3.0.lua

Ace3 - ACE-2
- optimized the upgrading/initial loading code a bit, inspired by Kaelten's changes to AA-3.0
------------------------------------------------------------------------
r6 | nevcairiel | 2007-09-02 10:19:45 +0000 (Sun, 02 Sep 2007) | 3 lines
Changed paths:
   M /branches/Ace3/Alpha
   M /branches/Ace3/Alpha/AceAddon-3.0
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua
   M /branches/Ace3/Alpha/AceEvent-3.0
   M /branches/Ace3/Alpha/AceEvent-3.0/AceEvent-3.0.lua
   M /branches/Ace3/Alpha/AceModuleCore-3.0
   M /branches/Ace3/Alpha/AceModuleCore-3.0/AceModuleCore-3.0.lua
   M /branches/Ace3/Alpha/MikkTimer
   M /branches/Ace3/Alpha/MikkTimer/CladTimer.lua
   M /branches/Ace3/Alpha/MikkTimer/MikkTimer.lua
   M /branches/Ace3/Alpha/MikkTimer/perftest.lua

Ace3 - 
- fixed a bug in EmbedLibraries
- updated svn properties
------------------------------------------------------------------------
r5 | nevcairiel | 2007-09-02 09:54:17 +0000 (Sun, 02 Sep 2007) | 2 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3 -
- fixed indentation and some general cleanup
------------------------------------------------------------------------
r4 | kaelten | 2007-09-02 09:27:14 +0000 (Sun, 02 Sep 2007) | 4 lines
Changed paths:
   M /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua

Ace3 - 
- Added two iterators
- Added EmbedLibrary
- Rewrote and restructured portions. 
------------------------------------------------------------------------
r3 | ammo | 2007-09-02 08:03:22 +0000 (Sun, 02 Sep 2007) | 2 lines
Changed paths:
   A /branches/Ace3/Alpha
   A /branches/Ace3/Alpha/AceAddon-3.0
   A /branches/Ace3/Alpha/AceAddon-3.0/AceAddon-3.0.lua
   A /branches/Ace3/Alpha/AceEvent-3.0
   A /branches/Ace3/Alpha/AceEvent-3.0/AceEvent-3.0.lua
   A /branches/Ace3/Alpha/AceModuleCore-3.0
   A /branches/Ace3/Alpha/AceModuleCore-3.0/AceModuleCore-3.0.lua
   A /branches/Ace3/Alpha/MikkTimer
   A /branches/Ace3/Alpha/MikkTimer/CladTimer.lua
   A /branches/Ace3/Alpha/MikkTimer/MikkTimer.lua
   A /branches/Ace3/Alpha/MikkTimer/perftest.lua

Ace3: non-working Alpha containing tests and ideas. 

------------------------------------------------------------------------
